GNU bug report logs - #37403
Cannot 'guix guix build --target=x86_64-w64-mingw32 perl'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Vivien Kraus <vivien@HIDDEN>; dated Sat, 14 Sep 2019 07:54:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 15 Sep 2019 12:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 08:16:58 2019
Received: from localhost ([127.0.0.1]:47428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9TSb-0000os-3S
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 08:16:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1i9TSZ-0000jV-9v
 for 37403 <at> debbugs.gnu.org; Sun, 15 Sep 2019 08:16:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35333)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1i9TST-0007uO-MG; Sun, 15 Sep 2019 08:16:49 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=36624
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1i9TST-0003fo-0b; Sun, 15 Sep 2019 08:16:49 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
Organization: AvatarAcademy.nl
References: <87a7b7l3f3.fsf@HIDDEN> <877e6b81d7.fsf@HIDDEN>
 <875zlulri8.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sun, 15 Sep 2019 14:16:45 +0200
In-Reply-To: <875zlulri8.fsf@HIDDEN> (Vivien Kraus's message of
 "Sat, 14 Sep 2019 19:25:19 +0200")
Message-ID: <87v9ttah5e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37403
Cc: 37403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Vivien Kraus writes:

>> Are you using the core-updates-next branch?
>
> No,

Ah.  In that case it's a `know bug' that is being worked on.

> how do I do that?

I looked into core-updates-next and at the moment it does not seem to be
in a really usable state, in other words: work in progress.

Theoretically one might do `guix pull --branch=3D<branch-name>'.  However,
branches other than master and version-1.0.x are generally not suited
for general use.  See `14.6 Submitting Patches'
(https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html).

Using a developer branch like core-updates-next is usually done by
working on a clone of the Guix Git archive.  See `14.1 Building from
Git' (https://guix.gnu.org/manual/en/html_node/Building-from-Git.html).

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 14 Sep 2019 17:25:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 13:25:23 2019
Received: from localhost ([127.0.0.1]:47120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9BnW-0002wS-SI
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 13:25:23 -0400
Received: from planete-kraus.eu ([89.234.140.182]:34842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1i9BnU-0002wK-OI
 for 37403 <at> debbugs.gnu.org; Sat, 14 Sep 2019 13:25:21 -0400
Received: from [2a01:cb14:18a:700:7c3f:71e2:536e:a01] (helo=ananas)
 by planete-kraus.eu with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <vivien@HIDDEN>)
 id 1i9BnT-0008KB-KF; Sat, 14 Sep 2019 18:25:19 +0100
References: <87a7b7l3f3.fsf@HIDDEN> <877e6b81d7.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Vivien Kraus <vivien@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
In-reply-to: <877e6b81d7.fsf@HIDDEN>
Date: Sat, 14 Sep 2019 19:25:19 +0200
Message-ID: <875zlulri8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37403
Cc: 37403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello,

Jan Nieuwenhuizen writes:
> Are you using the core-updates-next branch?

No, how do I do that?

Best regards,

Vivien




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 14 Sep 2019 17:24:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 13:24:36 2019
Received: from localhost ([127.0.0.1]:47116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9Bmb-0002uS-8O
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 13:24:36 -0400
Received: from planete-kraus.eu ([89.234.140.182]:34838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1i9BmW-0002uD-0P
 for 37403 <at> debbugs.gnu.org; Sat, 14 Sep 2019 13:24:24 -0400
Received: from [2a01:cb14:18a:700:7c3f:71e2:536e:a01] (helo=ananas)
 by planete-kraus.eu with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <vivien@HIDDEN>)
 id 1i9BmR-0008Js-85; Sat, 14 Sep 2019 18:24:16 +0100
References: <87a7b7l3f3.fsf@HIDDEN>
 <20190914135953.6adaef8b@HIDDEN>
 <20190914142338.41be36cb@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Vivien Kraus <vivien@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
In-reply-to: <20190914142338.41be36cb@HIDDEN>
Date: Sat, 14 Sep 2019 19:24:13 +0200
Message-ID: <877e6alrk2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37403
Cc: 37403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hello,


Danny Milosavljevic writes:

> The purpose of "remove-extra-references" seems to be to shrink the
> number of recorded dependencies, so maybe compare it with the unshrinked
> list of dependencies by printing the latter out (apparently it should be
> inside Config_heavy.pl and Config.pm in the temporary build
> directory--could you post those?).

I have several Config.pm files:

./lib/perl5/5.28.0/Net/Config.pm
./lib/perl5/5.28.0/ExtUtils/MakeMaker/Config.pm
./lib/perl5/5.28.0/x86_64-linux-thread-multi/Config.pm
./lib/perl5/5.28.0/x86_64-linux-thread-multi/Encode/Config.pm

In doubt I attach all four, plus the Config_heavy one :)


--=-=-=
Content-Type: text/x-perl
Content-Disposition: inline; filename=Config_heavy.pl
Content-Transfer-Encoding: quoted-printable
Content-Description: File
 lib/perl5/5.28.0/x86_64-linux-thread-multi/Config_heavy.pl

# This file was created by configpm when Perl was built. Any changes
# made to this file will be lost the next time perl is built.

package Config;
use strict;
use warnings;
our %Config;

sub bincompat_options {
    return split ' ', (Internals::V())[0];
}

sub non_bincompat_options {
    return split ' ', (Internals::V())[1];
}

sub compile_date {
    return (Internals::V())[2]
}

sub local_patches {
    my (undef, undef, undef, @patches) =3D Internals::V();
    return @patches;
}

sub _V {
    die "Perl lib was built for 'linux' but is being run on '$^O'"
        unless "linux" eq $^O;

    my ($bincompat, $non_bincompat, $date, @patches) =3D Internals::V();

    my @opts =3D sort split ' ', "$bincompat $non_bincompat";

    print Config::myconfig();
    print "\nCharacteristics of this binary (from libperl): \n";

    print "  Compile-time options:\n";
    print "    $_\n" for @opts;

    if (@patches) {
        print "  Locally applied patches:\n";
        print "    $_\n" foreach @patches;
    }

    print "  Built under linux\n";

    print "  $date\n" if defined $date;

    my @env =3D map { "$_=3D\"$ENV{$_}\"" } sort grep {/^PERL/} keys %ENV;

    if (@env) {
        print "  \%ENV:\n";
        print "    $_\n" foreach @env;
    }
    print "  \@INC:\n";
    print "    $_\n" foreach @INC;
}

sub header_files {
    return qw(EXTERN.h INTERN.h XSUB.h av.h config.h cop.h cv.h
              dosish.h embed.h embedvar.h form.h gv.h handy.h hv.h hv_func.h
              intrpvar.h iperlsys.h keywords.h mg.h nostdio.h op.h opcode.h
              pad.h parser.h patchlevel.h perl.h perlio.h perliol.h perlsdi=
o.h
              perlvars.h perly.h pp.h pp_proto.h proto.h regcomp.h regexp.h
              regnodes.h scope.h sv.h thread.h time64.h unixish.h utf8.h
              util.h);
}

##!/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/sh
##
## This file was produced by running the Configure script. It holds all the
## definitions figured out by Configure. Should you modify one of these val=
ues,
## do not forget to propagate your changes by running "Configure -der". You=
 may
## instead choose to run each of the .SH files by yourself, or "Configure -=
S".
##
#
## Package name      : perl5
## Source directory  : .
## Configuration time: 1970-01-01
## Configured by     : guix
## Target system     : linux=20
#
#: Configure command line arguments.
#
#: Variables propagated from previous config.sh file.

our $summary =3D <<'!END!';
Summary of my $package (revision $revision $version_patchlevel_string) conf=
iguration:
  $git_commit_id_title $git_commit_id$git_ancestor_line
  Platform:
    osname=3D$osname
    osvers=3D$osvers
    archname=3D$archname
    uname=3D'$myuname'
    config_args=3D'$config_args'
    hint=3D$hint
    useposix=3D$useposix
    d_sigaction=3D$d_sigaction
    useithreads=3D$useithreads
    usemultiplicity=3D$usemultiplicity
    use64bitint=3D$use64bitint
    use64bitall=3D$use64bitall
    uselongdouble=3D$uselongdouble
    usemymalloc=3D$usemymalloc
    default_inc_excludes_dot=3D$default_inc_excludes_dot
    bincompat5005=3Dundef
  Compiler:
    cc=3D'$cc'
    ccflags =3D'$ccflags'
    optimize=3D'$optimize'
    cppflags=3D'$cppflags'
    ccversion=3D'$ccversion'
    gccversion=3D'$gccversion'
    gccosandvers=3D'$gccosandvers'
    intsize=3D$intsize
    longsize=3D$longsize
    ptrsize=3D$ptrsize
    doublesize=3D$doublesize
    byteorder=3D$byteorder
    doublekind=3D$doublekind
    d_longlong=3D$d_longlong
    longlongsize=3D$longlongsize
    d_longdbl=3D$d_longdbl
    longdblsize=3D$longdblsize
    longdblkind=3D$longdblkind
    ivtype=3D'$ivtype'
    ivsize=3D$ivsize
    nvtype=3D'$nvtype'
    nvsize=3D$nvsize
    Off_t=3D'$lseektype'
    lseeksize=3D$lseeksize
    alignbytes=3D$alignbytes
    prototype=3D$prototype
  Linker and Libraries:
    ld=3D'$ld'
    ldflags =3D'$ldflags'
    libpth=3D$libpth
    libs=3D$libs
    perllibs=3D$perllibs
    libc=3D$libc
    so=3D$so
    useshrplib=3D$useshrplib
    libperl=3D$libperl
    gnulibc_version=3D'$gnulibc_version'
  Dynamic Linking:
    dlsrc=3D$dlsrc
    dlext=3D$dlext
    d_dlsymun=3D$d_dlsymun
    ccdlflags=3D'$ccdlflags'
    cccdlflags=3D'$cccdlflags'
    lddlflags=3D'$lddlflags'

!END!
my $summary_expanded;

sub myconfig {
    return $summary_expanded if $summary_expanded;
    ($summary_expanded =3D $summary) =3D~ s{\$(\w+)}
		 {=20
			my $c;
			if ($1 eq 'git_ancestor_line') {
				if ($Config::Config{git_ancestor}) {
					$c=3D "\n  Ancestor: $Config::Config{git_ancestor}";
				} else {
					$c=3D "";
				}
			} else {
                     		$c =3D $Config::Config{$1};=20
			}
			defined($c) ? $c : 'undef'=20
		}ge;
    $summary_expanded;
}

local *_ =3D \my $a;
$_ =3D <<'!END!';
Author=3D''
CONFIG=3D'true'
Date=3D''
Header=3D''
Id=3D''
Locker=3D''
Log=3D''
PATCHLEVEL=3D'28'
PERL_API_REVISION=3D'5'
PERL_API_SUBVERSION=3D'0'
PERL_API_VERSION=3D'28'
PERL_CONFIG_SH=3D'true'
PERL_PATCHLEVEL=3D''
PERL_REVISION=3D'5'
PERL_SUBVERSION=3D'0'
PERL_VERSION=3D'28'
RCSfile=3D''
Revision=3D''
SUBVERSION=3D'0'
Source=3D''
State=3D''
_a=3D'.a'
_exe=3D''
_o=3D'.o'
afs=3D'false'
afsroot=3D'/afs'
alignbytes=3D'8'
aphostname=3D'/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bi=
n/uname -n'
api_revision=3D'5'
api_subversion=3D'0'
api_version=3D'28'
api_versionstring=3D'5.28.0'
ar=3D'ar'
archlib=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/perl=
5/5.28.0/x86_64-linux-thread-multi'
archlibexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/p=
erl5/5.28.0/x86_64-linux-thread-multi'
archname=3D'x86_64-linux-thread-multi'
archname64=3D''
archobjs=3D''
asctime_r_proto=3D'REENTRANT_PROTO_B_SB'
awk=3D'awk'
baserev=3D'5.0'
bash=3D''
bin=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
bin_ELF=3D'define'
binexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
bison=3D'bison'
byacc=3D'byacc'
byteorder=3D'12345678'
c=3D''
castflags=3D'0'
cat=3D'cat'
cc=3D'gcc'
cccdlflags=3D'-fPIC'
ccdlflags=3D'-Wl,-E -Wl,-rpath,/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-=
perl-5.28.0/lib/perl5/5.28.0/x86_64-linux-thread-multi/CORE'
ccflags=3D'-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -f=
stack-protector-strong -I/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-=
2.28/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=3D64 -D_FORTIFY_SOURCE=
=3D2'
ccflags_uselargefiles=3D'-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=3D64'
ccname=3D'gcc'
ccsymbols=3D''
ccversion=3D''
cf_by=3D'guix'
cf_email=3D'guix@HIDDEN'
cf_time=3D'1970-01-01'
charbits=3D'8'
charsize=3D'1'
chgrp=3D''
chmod=3D'chmod'
chown=3D''
clocktype=3D'clock_t'
comm=3D'comm'
compress=3D''
config_arg0=3D'./Configure'
config_arg1=3D'-Dprefix=3D/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-=
5.28.0'
config_arg10=3D'-Dloclibpth=3D/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-g=
libc-2.28/lib'
config_arg11=3D'-Dusethreads'
config_arg2=3D'-Dman1dir=3D/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl=
-5.28.0/share/man/man1'
config_arg3=3D'-Dman3dir=3D/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl=
-5.28.0/share/man/man3'
config_arg4=3D'-de'
config_arg5=3D'-Dcc=3Dgcc'
config_arg6=3D'-Uinstallusrbinperl'
config_arg7=3D'-Dinstallstyle=3Dlib/perl5'
config_arg8=3D'-Duseshrplib'
config_arg9=3D'-Dlocincpth=3D/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-gl=
ibc-2.28/include'
config_argc=3D'11'
config_args=3D'-Dprefix=3D/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-=
5.28.0 -Dman1dir=3D/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/=
share/man/man1 -Dman3dir=3D/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl=
-5.28.0/share/man/man3 -de -Dcc=3Dgcc -Uinstallusrbinperl -Dinstallstyle=3D=
lib/perl5 -Duseshrplib -Dlocincpth=3D/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigd=
dfmq4-glibc-2.28/include -Dloclibpth=3D/gnu/store/h90vnqw0nwd0hhm1l5dgxsdri=
gddfmq4-glibc-2.28/lib -Dusethreads'
contains=3D'grep'
cp=3D'cp'
cpio=3D''
cpp=3D'cpp'
cpp_stuff=3D'42'
cppccsymbols=3D''
cppflags=3D'-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -=
fstack-protector-strong -I/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc=
-2.28/include'
cpplast=3D'-'
cppminus=3D'-'
cpprun=3D'gcc  -E'
cppstdin=3D'gcc  -E'
cppsymbols=3D'__amd64=3D1 __amd64__=3D1 __ATOMIC_ACQ_REL=3D4 __ATOMIC_ACQUI=
RE=3D2 __ATOMIC_CONSUME=3D1 __ATOMIC_HLE_ACQUIRE=3D65536 __ATOMIC_HLE_RELEA=
SE=3D131072 __ATOMIC_RELAXED=3D0 __ATOMIC_RELEASE=3D3 __ATOMIC_SEQ_CST=3D5 =
__BIGGEST_ALIGNMENT__=3D16 __BYTE_ORDER__=3D1234 __CHAR16_TYPE__=3Dshort\ u=
nsigned\ int __CHAR32_TYPE__=3Dunsigned\ int __CHAR_BIT__=3D8 __code_model_=
small__=3D1 __DBL_DECIMAL_DIG__=3D17 __DBL_DENORM_MIN__=3D((double)4.940656=
45841246544177e-324L) __DBL_DIG__=3D15 __DBL_EPSILON__=3D((double)2.2204460=
4925031308085e-16L) __DBL_HAS_DENORM__=3D1 __DBL_HAS_INFINITY__=3D1 __DBL_H=
AS_QUIET_NAN__=3D1 __DBL_MANT_DIG__=3D53 __DBL_MAX_10_EXP__=3D308 __DBL_MAX=
__=3D((double)1.79769313486231570815e+308L) __DBL_MAX_EXP__=3D1024 __DBL_MI=
N_10_EXP__=3D(-307) __DBL_MIN__=3D((double)2.22507385850720138309e-308L) __=
DBL_MIN_EXP__=3D(-1021) __DEC128_EPSILON__=3D1E-33DL __DEC128_MANT_DIG__=3D=
34 __DEC128_MAX__=3D9.999999999999999999999999999999999E6144DL __DEC128_MAX=
_EXP__=3D6145 __DEC128_MIN__=3D1E-6143DL __DEC128_MIN_EXP__=3D(-6142) __DEC=
128_SUBNORMAL_MIN__=3D0.000000000000000000000000000000001E-6143DL __DEC32_E=
PSILON__=3D1E-6DF __DEC32_MANT_DIG__=3D7 __DEC32_MAX__=3D9.999999E96DF __DE=
C32_MAX_EXP__=3D97 __DEC32_MIN__=3D1E-95DF __DEC32_MIN_EXP__=3D(-94) __DEC3=
2_SUBNORMAL_MIN__=3D0.000001E-95DF __DEC64_EPSILON__=3D1E-15DD __DEC64_MANT=
_DIG__=3D16 __DEC64_MAX__=3D9.999999999999999E384DD __DEC64_MAX_EXP__=3D385=
 __DEC64_MIN__=3D1E-383DD __DEC64_MIN_EXP__=3D(-382) __DEC64_SUBNORMAL_MIN_=
_=3D0.000000000000001E-383DD __DEC_EVAL_METHOD__=3D2 __DECIMAL_BID_FORMAT__=
=3D1 __DECIMAL_DIG__=3D21 __ELF__=3D1 _FILE_OFFSET_BITS=3D64 __FINITE_MATH_=
ONLY__=3D0 __FLOAT_WORD_ORDER__=3D1234 __FLT_DECIMAL_DIG__=3D9 __FLT_DENORM=
_MIN__=3D1.40129846432481707092e-45F __FLT_DIG__=3D6 __FLT_EPSILON__=3D1.19=
209289550781250000e-7F __FLT_EVAL_METHOD__=3D0 __FLT_HAS_DENORM__=3D1 __FLT=
_HAS_INFINITY__=3D1 __FLT_HAS_QUIET_NAN__=3D1 __FLT_MANT_DIG__=3D24 __FLT_M=
AX_10_EXP__=3D38 __FLT_MAX__=3D3.40282346638528859812e+38F __FLT_MAX_EXP__=
=3D128 __FLT_MIN_10_EXP__=3D(-37) __FLT_MIN__=3D1.17549435082228750797e-38F=
 __FLT_MIN_EXP__=3D(-125) __FLT_RADIX__=3D2 __FXSR__=3D1 __GCC_ATOMIC_BOOL_=
LOCK_FREE=3D2 __GCC_ATOMIC_CHAR16_T_LOCK_FREE=3D2 __GCC_ATOMIC_CHAR32_T_LOC=
K_FREE=3D2 __GCC_ATOMIC_CHAR_LOCK_FREE=3D2 __GCC_ATOMIC_INT_LOCK_FREE=3D2 _=
_GCC_ATOMIC_LLONG_LOCK_FREE=3D2 __GCC_ATOMIC_LONG_LOCK_FREE=3D2 __GCC_ATOMI=
C_POINTER_LOCK_FREE=3D2 __GCC_ATOMIC_SHORT_LOCK_FREE=3D2 __GCC_ATOMIC_TEST_=
AND_SET_TRUEVAL=3D1 __GCC_ATOMIC_WCHAR_T_LOCK_FREE=3D2 __GCC_HAVE_DWARF2_CF=
I_ASM=3D1 __GCC_HAVE_SYNC_COMPARE_AND_SWAP_1=3D1 __GCC_HAVE_SYNC_COMPARE_AN=
D_SWAP_2=3D1 __GCC_HAVE_SYNC_COMPARE_AND_SWAP_4=3D1 __GCC_HAVE_SYNC_COMPARE=
_AND_SWAP_8=3D1 __GCC_IEC_559=3D2 __GCC_IEC_559_COMPLEX=3D2 __GLIBC__=3D2 _=
_GLIBC_MINOR__=3D28 __GNUC__=3D5 __GNUC_MINOR__=3D5 __GNUC_PATCHLEVEL__=3D0=
 __GNUC_STDC_INLINE__=3D1 __GNU_LIBRARY__=3D6 __gnu_linux__=3D1 _GNU_SOURCE=
=3D1 __GXX_ABI_VERSION=3D1009 __has_include=3D__has_include __has_include_n=
ext=3D__has_include_next __INT16_C=3D__INT16_C __INT16_MAX__=3D0x7fff __INT=
16_TYPE__=3Dshort\ int __INT32_C=3D__INT32_C __INT32_MAX__=3D0x7fffffff __I=
NT32_TYPE__=3Dint __INT64_C=3D__INT64_C __INT64_MAX__=3D0x7fffffffffffffffL=
 __INT64_TYPE__=3Dlong\ int __INT8_C=3D__INT8_C __INT8_MAX__=3D0x7f __INT8_=
TYPE__=3Dsigned\ char __INT_FAST16_MAX__=3D0x7fffffffffffffffL __INT_FAST16=
_TYPE__=3Dlong\ int __INT_FAST32_MAX__=3D0x7fffffffffffffffL __INT_FAST32_T=
YPE__=3Dlong\ int __INT_FAST64_MAX__=3D0x7fffffffffffffffL __INT_FAST64_TYP=
E__=3Dlong\ int __INT_FAST8_MAX__=3D0x7f __INT_FAST8_TYPE__=3Dsigned\ char =
__INT_LEAST16_MAX__=3D0x7fff __INT_LEAST16_TYPE__=3Dshort\ int __INT_LEAST3=
2_MAX__=3D0x7fffffff __INT_LEAST32_TYPE__=3Dint __INT_LEAST64_MAX__=3D0x7ff=
fffffffffffffL __INT_LEAST64_TYPE__=3Dlong\ int __INT_LEAST8_MAX__=3D0x7f _=
_INT_LEAST8_TYPE__=3Dsigned\ char __INT_MAX__=3D0x7fffffff __INTMAX_C=3D__I=
NTMAX_C __INTMAX_MAX__=3D0x7fffffffffffffffL __INTMAX_TYPE__=3Dlong\ int __=
INTPTR_MAX__=3D0x7fffffffffffffffL __INTPTR_TYPE__=3Dlong\ int __k8=3D1 __k=
8__=3D1 _LARGEFILE64_SOURCE=3D1 _LARGEFILE_SOURCE=3D1 __LDBL_DENORM_MIN__=
=3D3.64519953188247460253e-4951L __LDBL_DIG__=3D18 __LDBL_EPSILON__=3D1.084=
20217248550443401e-19L __LDBL_HAS_DENORM__=3D1 __LDBL_HAS_INFINITY__=3D1 __=
LDBL_HAS_QUIET_NAN__=3D1 __LDBL_MANT_DIG__=3D64 __LDBL_MAX_10_EXP__=3D4932 =
__LDBL_MAX__=3D1.18973149535723176502e+4932L __LDBL_MAX_EXP__=3D16384 __LDB=
L_MIN_10_EXP__=3D(-4931) __LDBL_MIN__=3D3.36210314311209350626e-4932L __LDB=
L_MIN_EXP__=3D(-16381) __linux=3D1 __linux__=3D1 linux=3D1 __LONG_LONG_MAX_=
_=3D0x7fffffffffffffffLL __LONG_MAX__=3D0x7fffffffffffffffL __LP64__=3D1 _L=
P64=3D1 __MMX__=3D1 __ORDER_BIG_ENDIAN__=3D4321 __ORDER_LITTLE_ENDIAN__=3D1=
234 __ORDER_PDP_ENDIAN__=3D3412 _POSIX_C_SOURCE=3D200809L _POSIX_SOURCE=3D1=
 __PRAGMA_REDEFINE_EXTNAME=3D1 __PTRDIFF_MAX__=3D0x7fffffffffffffffL __PTRD=
IFF_TYPE__=3Dlong\ int _REENTRANT=3D1 __REGISTER_PREFIX__=3D __SCHAR_MAX__=
=3D0x7f __SHRT_MAX__=3D0x7fff __SIG_ATOMIC_MAX__=3D0x7fffffff __SIG_ATOMIC_=
MIN__=3D(-0x7fffffff\ -\ 1) __SIG_ATOMIC_TYPE__=3Dint __SIZE_MAX__=3D0xffff=
ffffffffffffUL __SIZEOF_DOUBLE__=3D8 __SIZEOF_FLOAT128__=3D16 __SIZEOF_FLOA=
T__=3D4 __SIZEOF_FLOAT80__=3D16 __SIZEOF_INT128__=3D16 __SIZEOF_INT__=3D4 _=
_SIZEOF_LONG__=3D8 __SIZEOF_LONG_DOUBLE__=3D16 __SIZEOF_LONG_LONG__=3D8 __S=
IZEOF_POINTER__=3D8 __SIZEOF_PTRDIFF_T__=3D8 __SIZEOF_SHORT__=3D2 __SIZEOF_=
SIZE_T__=3D8 __SIZEOF_WCHAR_T__=3D4 __SIZEOF_WINT_T__=3D4 __SIZE_TYPE__=3Dl=
ong\ unsigned\ int __SSE__=3D1 __SSE2__=3D1 __SSE2_MATH__=3D1 __SSE_MATH__=
=3D1 __STDC__=3D1 __STDC_HOSTED__=3D1 __STDC_IEC_559__=3D1 __STDC_IEC_559_C=
OMPLEX__=3D1 __STDC_ISO_10646__=3D201706L _STDC_PREDEF_H=3D1 __STDC_UTF_16_=
_=3D1 __STDC_UTF_32__=3D1 __STDC_VERSION__=3D201112L __UINT16_C=3D__UINT16_=
C __UINT16_MAX__=3D0xffff __UINT16_TYPE__=3Dshort\ unsigned\ int __UINT32_C=
=3D__UINT32_C __UINT32_MAX__=3D0xffffffffU __UINT32_TYPE__=3Dunsigned\ int =
__UINT64_C=3D__UINT64_C __UINT64_MAX__=3D0xffffffffffffffffUL __UINT64_TYPE=
__=3Dlong\ unsigned\ int __UINT8_C=3D__UINT8_C __UINT8_MAX__=3D0xff __UINT8=
_TYPE__=3Dunsigned\ char __UINT_FAST16_MAX__=3D0xffffffffffffffffUL __UINT_=
FAST16_TYPE__=3Dlong\ unsigned\ int __UINT_FAST32_MAX__=3D0xfffffffffffffff=
fUL __UINT_FAST32_TYPE__=3Dlong\ unsigned\ int __UINT_FAST64_MAX__=3D0xffff=
ffffffffffffUL __UINT_FAST64_TYPE__=3Dlong\ unsigned\ int __UINT_FAST8_MAX_=
_=3D0xff __UINT_FAST8_TYPE__=3Dunsigned\ char __UINT_LEAST16_MAX__=3D0xffff=
 __UINT_LEAST16_TYPE__=3Dshort\ unsigned\ int __UINT_LEAST32_MAX__=3D0xffff=
ffffU __UINT_LEAST32_TYPE__=3Dunsigned\ int __UINT_LEAST64_MAX__=3D0xffffff=
ffffffffffUL __UINT_LEAST64_TYPE__=3Dlong\ unsigned\ int __UINT_LEAST8_MAX_=
_=3D0xff __UINT_LEAST8_TYPE__=3Dunsigned\ char __UINTMAX_C=3D__UINTMAX_C __=
UINTMAX_MAX__=3D0xffffffffffffffffUL __UINTMAX_TYPE__=3Dlong\ unsigned\ int=
 __UINTPTR_MAX__=3D0xffffffffffffffffUL __UINTPTR_TYPE__=3Dlong\ unsigned\ =
int __unix=3D1 __unix__=3D1 unix=3D1 __USE_FILE_OFFSET64=3D1 __USE_GNU=3D1 =
__USE_LARGEFILE=3D1 __USE_LARGEFILE64=3D1 __USE_MISC=3D1 __USE_POSIX=3D1 __=
USE_POSIX199309=3D1 __USE_POSIX199506=3D1 __USE_POSIX2=3D1 __USER_LABEL_PRE=
FIX__=3D __USE_UNIX98=3D1 __USE_XOPEN=3D1 __USE_XOPEN_EXTENDED=3D1 __VERSIO=
N__=3D"5.5.0" __WCHAR_MAX__=3D0x7fffffff __WCHAR_MIN__=3D(-0x7fffffff\ -\ 1=
) __WCHAR_TYPE__=3Dint __WINT_MAX__=3D0xffffffffU __WINT_MIN__=3D0U __WINT_=
TYPE__=3Dunsigned\ int __x86_64=3D1 __x86_64__=3D1 _XOPEN_SOURCE=3D700 _XOP=
EN_SOURCE_EXTENDED=3D1'
crypt_r_proto=3D'REENTRANT_PROTO_B_CCS'
cryptlib=3D''
csh=3D'csh'
ctermid_r_proto=3D'0'
ctime_r_proto=3D'REENTRANT_PROTO_B_SB'
d_Gconvert=3D'gcvt((x),(n),(b))'
d_PRIEUldbl=3D'define'
d_PRIFUldbl=3D'define'
d_PRIGUldbl=3D'define'
d_PRIXU64=3D'define'
d_PRId64=3D'define'
d_PRIeldbl=3D'define'
d_PRIfldbl=3D'define'
d_PRIgldbl=3D'define'
d_PRIi64=3D'define'
d_PRIo64=3D'define'
d_PRIu64=3D'define'
d_PRIx64=3D'define'
d_SCNfldbl=3D'define'
d__fwalk=3D'undef'
d_accept4=3D'define'
d_access=3D'define'
d_accessx=3D'undef'
d_acosh=3D'define'
d_aintl=3D'undef'
d_alarm=3D'define'
d_archlib=3D'define'
d_asctime64=3D'undef'
d_asctime_r=3D'define'
d_asinh=3D'define'
d_atanh=3D'define'
d_atolf=3D'undef'
d_atoll=3D'define'
d_attribute_deprecated=3D'define'
d_attribute_format=3D'define'
d_attribute_malloc=3D'define'
d_attribute_nonnull=3D'define'
d_attribute_noreturn=3D'define'
d_attribute_pure=3D'define'
d_attribute_unused=3D'define'
d_attribute_warn_unused_result=3D'define'
d_backtrace=3D'define'
d_bsd=3D'undef'
d_bsdgetpgrp=3D'undef'
d_bsdsetpgrp=3D'undef'
d_builtin_add_overflow=3D'define'
d_builtin_choose_expr=3D'define'
d_builtin_expect=3D'define'
d_builtin_mul_overflow=3D'define'
d_builtin_sub_overflow=3D'define'
d_c99_variadic_macros=3D'define'
d_casti32=3D'undef'
d_castneg=3D'define'
d_cbrt=3D'define'
d_chown=3D'define'
d_chroot=3D'define'
d_chsize=3D'undef'
d_class=3D'undef'
d_clearenv=3D'define'
d_closedir=3D'define'
d_cmsghdr_s=3D'define'
d_const=3D'define'
d_copysign=3D'define'
d_copysignl=3D'define'
d_cplusplus=3D'undef'
d_crypt=3D'define'
d_crypt_r=3D'define'
d_csh=3D'undef'
d_ctermid=3D'define'
d_ctermid_r=3D'undef'
d_ctime64=3D'undef'
d_ctime_r=3D'define'
d_cuserid=3D'define'
d_dbminitproto=3D'undef'
d_difftime=3D'define'
d_difftime64=3D'undef'
d_dir_dd_fd=3D'undef'
d_dirfd=3D'define'
d_dirnamlen=3D'undef'
d_dladdr=3D'define'
d_dlerror=3D'define'
d_dlopen=3D'define'
d_dlsymun=3D'undef'
d_dosuid=3D'undef'
d_double_has_inf=3D'define'
d_double_has_nan=3D'define'
d_double_has_negative_zero=3D'define'
d_double_has_subnormals=3D'define'
d_double_style_cray=3D'undef'
d_double_style_ibm=3D'undef'
d_double_style_ieee=3D'define'
d_double_style_vax=3D'undef'
d_drand48_r=3D'define'
d_drand48proto=3D'define'
d_dup2=3D'define'
d_dup3=3D'define'
d_duplocale=3D'define'
d_eaccess=3D'define'
d_endgrent=3D'define'
d_endgrent_r=3D'undef'
d_endhent=3D'define'
d_endhostent_r=3D'undef'
d_endnent=3D'define'
d_endnetent_r=3D'undef'
d_endpent=3D'define'
d_endprotoent_r=3D'undef'
d_endpwent=3D'define'
d_endpwent_r=3D'undef'
d_endsent=3D'define'
d_endservent_r=3D'undef'
d_eofnblk=3D'define'
d_erf=3D'define'
d_erfc=3D'define'
d_eunice=3D'undef'
d_exp2=3D'define'
d_expm1=3D'define'
d_faststdio=3D'undef'
d_fchdir=3D'define'
d_fchmod=3D'define'
d_fchmodat=3D'define'
d_fchown=3D'define'
d_fcntl=3D'define'
d_fcntl_can_lock=3D'define'
d_fd_macros=3D'define'
d_fd_set=3D'define'
d_fdclose=3D'undef'
d_fdim=3D'define'
d_fds_bits=3D'define'
d_fegetround=3D'define'
d_fgetpos=3D'define'
d_finite=3D'define'
d_finitel=3D'define'
d_flexfnam=3D'define'
d_flock=3D'define'
d_flockproto=3D'define'
d_fma=3D'define'
d_fmax=3D'define'
d_fmin=3D'define'
d_fork=3D'define'
d_fp_class=3D'undef'
d_fp_classify=3D'undef'
d_fp_classl=3D'undef'
d_fpathconf=3D'define'
d_fpclass=3D'undef'
d_fpclassify=3D'define'
d_fpclassl=3D'undef'
d_fpgetround=3D'undef'
d_fpos64_t=3D'undef'
d_freelocale=3D'define'
d_frexpl=3D'define'
d_fs_data_s=3D'undef'
d_fseeko=3D'define'
d_fsetpos=3D'define'
d_fstatfs=3D'define'
d_fstatvfs=3D'define'
d_fsync=3D'define'
d_ftello=3D'define'
d_ftime=3D'undef'
d_futimes=3D'define'
d_gai_strerror=3D'define'
d_gdbm_ndbm_h_uses_prototypes=3D'undef'
d_gdbmndbm_h_uses_prototypes=3D'undef'
d_getaddrinfo=3D'define'
d_getcwd=3D'define'
d_getespwnam=3D'undef'
d_getfsstat=3D'undef'
d_getgrent=3D'define'
d_getgrent_r=3D'define'
d_getgrgid_r=3D'define'
d_getgrnam_r=3D'define'
d_getgrps=3D'define'
d_gethbyaddr=3D'define'
d_gethbyname=3D'define'
d_gethent=3D'define'
d_gethname=3D'define'
d_gethostbyaddr_r=3D'define'
d_gethostbyname_r=3D'define'
d_gethostent_r=3D'define'
d_gethostprotos=3D'define'
d_getitimer=3D'define'
d_getlogin=3D'define'
d_getlogin_r=3D'define'
d_getmnt=3D'undef'
d_getmntent=3D'define'
d_getnameinfo=3D'define'
d_getnbyaddr=3D'define'
d_getnbyname=3D'define'
d_getnent=3D'define'
d_getnetbyaddr_r=3D'define'
d_getnetbyname_r=3D'define'
d_getnetent_r=3D'define'
d_getnetprotos=3D'define'
d_getpagsz=3D'define'
d_getpbyname=3D'define'
d_getpbynumber=3D'define'
d_getpent=3D'define'
d_getpgid=3D'define'
d_getpgrp=3D'define'
d_getpgrp2=3D'undef'
d_getppid=3D'define'
d_getprior=3D'define'
d_getprotobyname_r=3D'define'
d_getprotobynumber_r=3D'define'
d_getprotoent_r=3D'define'
d_getprotoprotos=3D'define'
d_getprpwnam=3D'undef'
d_getpwent=3D'define'
d_getpwent_r=3D'define'
d_getpwnam_r=3D'define'
d_getpwuid_r=3D'define'
d_getsbyname=3D'define'
d_getsbyport=3D'define'
d_getsent=3D'define'
d_getservbyname_r=3D'define'
d_getservbyport_r=3D'define'
d_getservent_r=3D'define'
d_getservprotos=3D'define'
d_getspnam=3D'define'
d_getspnam_r=3D'define'
d_gettimeod=3D'define'
d_gmtime64=3D'undef'
d_gmtime_r=3D'define'
d_gnulibc=3D'define'
d_grpasswd=3D'define'
d_hasmntopt=3D'define'
d_htonl=3D'define'
d_hypot=3D'define'
d_ilogb=3D'define'
d_ilogbl=3D'define'
d_inc_version_list=3D'undef'
d_inetaton=3D'define'
d_inetntop=3D'define'
d_inetpton=3D'define'
d_int64_t=3D'define'
d_ip_mreq=3D'define'
d_ip_mreq_source=3D'define'
d_ipv6_mreq=3D'define'
d_ipv6_mreq_source=3D'undef'
d_isascii=3D'define'
d_isblank=3D'define'
d_isfinite=3D'define'
d_isfinitel=3D'undef'
d_isinf=3D'define'
d_isinfl=3D'define'
d_isless=3D'undef'
d_isnan=3D'define'
d_isnanl=3D'define'
d_isnormal=3D'define'
d_j0=3D'define'
d_j0l=3D'define'
d_killpg=3D'define'
d_lc_monetary_2008=3D'define'
d_lchown=3D'define'
d_ldbl_dig=3D'define'
d_ldexpl=3D'define'
d_lgamma=3D'define'
d_lgamma_r=3D'define'
d_libm_lib_version=3D'undef'
d_libname_unique=3D'undef'
d_link=3D'define'
d_linkat=3D'define'
d_llrint=3D'define'
d_llrintl=3D'define'
d_llround=3D'define'
d_llroundl=3D'define'
d_localeconv_l=3D'undef'
d_localtime64=3D'undef'
d_localtime_r=3D'define'
d_localtime_r_needs_tzset=3D'define'
d_locconv=3D'define'
d_lockf=3D'define'
d_log1p=3D'define'
d_log2=3D'define'
d_logb=3D'define'
d_long_double_style_ieee=3D'define'
d_long_double_style_ieee_doubledouble=3D'undef'
d_long_double_style_ieee_extended=3D'define'
d_long_double_style_ieee_std=3D'undef'
d_long_double_style_vax=3D'undef'
d_longdbl=3D'define'
d_longlong=3D'define'
d_lrint=3D'define'
d_lrintl=3D'define'
d_lround=3D'define'
d_lroundl=3D'define'
d_lseekproto=3D'define'
d_lstat=3D'define'
d_madvise=3D'define'
d_malloc_good_size=3D'undef'
d_malloc_size=3D'undef'
d_mblen=3D'define'
d_mbrlen=3D'define'
d_mbrtowc=3D'define'
d_mbstowcs=3D'define'
d_mbtowc=3D'define'
d_memmem=3D'define'
d_memrchr=3D'define'
d_mkdir=3D'define'
d_mkdtemp=3D'define'
d_mkfifo=3D'define'
d_mkostemp=3D'define'
d_mkstemp=3D'define'
d_mkstemps=3D'define'
d_mktime=3D'define'
d_mktime64=3D'undef'
d_mmap=3D'define'
d_modfl=3D'define'
d_modflproto=3D'define'
d_mprotect=3D'define'
d_msg=3D'define'
d_msg_ctrunc=3D'define'
d_msg_dontroute=3D'define'
d_msg_oob=3D'define'
d_msg_peek=3D'define'
d_msg_proxy=3D'define'
d_msgctl=3D'define'
d_msgget=3D'define'
d_msghdr_s=3D'define'
d_msgrcv=3D'define'
d_msgsnd=3D'define'
d_msync=3D'define'
d_munmap=3D'define'
d_mymalloc=3D'undef'
d_nan=3D'define'
d_nanosleep=3D'define'
d_ndbm=3D'undef'
d_ndbm_h_uses_prototypes=3D'undef'
d_nearbyint=3D'define'
d_newlocale=3D'define'
d_nextafter=3D'define'
d_nexttoward=3D'define'
d_nice=3D'define'
d_nl_langinfo=3D'define'
d_nv_preserves_uv=3D'undef'
d_nv_zero_is_allbits_zero=3D'define'
d_off64_t=3D'define'
d_old_pthread_create_joinable=3D'undef'
d_oldpthreads=3D'undef'
d_oldsock=3D'undef'
d_open3=3D'define'
d_openat=3D'define'
d_pathconf=3D'define'
d_pause=3D'define'
d_perl_otherlibdirs=3D'undef'
d_phostname=3D'undef'
d_pipe=3D'define'
d_pipe2=3D'define'
d_poll=3D'define'
d_portable=3D'define'
d_prctl=3D'define'
d_prctl_set_name=3D'define'
d_printf_format_null=3D'define'
d_procselfexe=3D'define'
d_pseudofork=3D'undef'
d_pthread_atfork=3D'define'
d_pthread_attr_setscope=3D'define'
d_pthread_yield=3D'define'
d_ptrdiff_t=3D'define'
d_pwage=3D'undef'
d_pwchange=3D'undef'
d_pwclass=3D'undef'
d_pwcomment=3D'undef'
d_pwexpire=3D'undef'
d_pwgecos=3D'define'
d_pwpasswd=3D'define'
d_pwquota=3D'undef'
d_qgcvt=3D'define'
d_quad=3D'define'
d_querylocale=3D'undef'
d_random_r=3D'define'
d_re_comp=3D'undef'
d_readdir=3D'define'
d_readdir64_r=3D'define'
d_readdir_r=3D'define'
d_readlink=3D'define'
d_readv=3D'define'
d_recvmsg=3D'define'
d_regcmp=3D'undef'
d_regcomp=3D'define'
d_remainder=3D'define'
d_remquo=3D'define'
d_rename=3D'define'
d_renameat=3D'define'
d_rewinddir=3D'define'
d_rint=3D'define'
d_rmdir=3D'define'
d_round=3D'define'
d_sbrkproto=3D'define'
d_scalbn=3D'define'
d_scalbnl=3D'define'
d_sched_yield=3D'define'
d_scm_rights=3D'define'
d_seekdir=3D'define'
d_select=3D'define'
d_sem=3D'define'
d_semctl=3D'define'
d_semctl_semid_ds=3D'define'
d_semctl_semun=3D'define'
d_semget=3D'define'
d_semop=3D'define'
d_sendmsg=3D'define'
d_setegid=3D'define'
d_seteuid=3D'define'
d_setgrent=3D'define'
d_setgrent_r=3D'undef'
d_setgrps=3D'define'
d_sethent=3D'define'
d_sethostent_r=3D'undef'
d_setitimer=3D'define'
d_setlinebuf=3D'define'
d_setlocale=3D'define'
d_setlocale_r=3D'undef'
d_setnent=3D'define'
d_setnetent_r=3D'undef'
d_setpent=3D'define'
d_setpgid=3D'define'
d_setpgrp=3D'define'
d_setpgrp2=3D'undef'
d_setprior=3D'define'
d_setproctitle=3D'undef'
d_setprotoent_r=3D'undef'
d_setpwent=3D'define'
d_setpwent_r=3D'undef'
d_setregid=3D'define'
d_setresgid=3D'define'
d_setresuid=3D'define'
d_setreuid=3D'define'
d_setrgid=3D'undef'
d_setruid=3D'undef'
d_setsent=3D'define'
d_setservent_r=3D'undef'
d_setsid=3D'define'
d_setvbuf=3D'define'
d_shm=3D'define'
d_shmat=3D'define'
d_shmatprototype=3D'define'
d_shmctl=3D'define'
d_shmdt=3D'define'
d_shmget=3D'define'
d_sigaction=3D'define'
d_siginfo_si_addr=3D'define'
d_siginfo_si_band=3D'define'
d_siginfo_si_errno=3D'define'
d_siginfo_si_fd=3D'define'
d_siginfo_si_pid=3D'define'
d_siginfo_si_status=3D'define'
d_siginfo_si_uid=3D'define'
d_siginfo_si_value=3D'define'
d_signbit=3D'define'
d_sigprocmask=3D'define'
d_sigsetjmp=3D'define'
d_sin6_scope_id=3D'define'
d_sitearch=3D'define'
d_snprintf=3D'define'
d_sockaddr_in6=3D'define'
d_sockaddr_sa_len=3D'undef'
d_sockatmark=3D'define'
d_sockatmarkproto=3D'define'
d_socket=3D'define'
d_socklen_t=3D'define'
d_sockpair=3D'define'
d_socks5_init=3D'undef'
d_sqrtl=3D'define'
d_srand48_r=3D'define'
d_srandom_r=3D'define'
d_sresgproto=3D'define'
d_sresuproto=3D'define'
d_stat=3D'define'
d_statblks=3D'define'
d_statfs_f_flags=3D'define'
d_statfs_s=3D'define'
d_static_inline=3D'define'
d_statvfs=3D'define'
d_stdio_cnt_lval=3D'undef'
d_stdio_ptr_lval=3D'undef'
d_stdio_ptr_lval_nochange_cnt=3D'undef'
d_stdio_ptr_lval_sets_cnt=3D'undef'
d_stdio_stream_array=3D'undef'
d_stdiobase=3D'undef'
d_stdstdio=3D'undef'
d_strcoll=3D'define'
d_strerror_l=3D'define'
d_strerror_r=3D'define'
d_strftime=3D'define'
d_strlcat=3D'undef'
d_strlcpy=3D'undef'
d_strnlen=3D'define'
d_strtod=3D'define'
d_strtod_l=3D'define'
d_strtol=3D'define'
d_strtold=3D'define'
d_strtold_l=3D'define'
d_strtoll=3D'define'
d_strtoq=3D'define'
d_strtoul=3D'define'
d_strtoull=3D'define'
d_strtouq=3D'define'
d_strxfrm=3D'define'
d_suidsafe=3D'undef'
d_symlink=3D'define'
d_syscall=3D'define'
d_syscallproto=3D'define'
d_sysconf=3D'define'
d_sysernlst=3D''
d_syserrlst=3D'define'
d_system=3D'define'
d_tcgetpgrp=3D'define'
d_tcsetpgrp=3D'define'
d_telldir=3D'define'
d_telldirproto=3D'define'
d_tgamma=3D'define'
d_thread_safe_nl_langinfo_l=3D'define'
d_time=3D'define'
d_timegm=3D'define'
d_times=3D'define'
d_tm_tm_gmtoff=3D'define'
d_tm_tm_zone=3D'define'
d_tmpnam_r=3D'define'
d_trunc=3D'define'
d_truncate=3D'define'
d_truncl=3D'define'
d_ttyname_r=3D'define'
d_tzname=3D'define'
d_u32align=3D'define'
d_ualarm=3D'define'
d_umask=3D'define'
d_uname=3D'define'
d_union_semun=3D'undef'
d_unlinkat=3D'define'
d_unordered=3D'undef'
d_unsetenv=3D'define'
d_uselocale=3D'define'
d_usleep=3D'define'
d_usleepproto=3D'define'
d_ustat=3D'undef'
d_vendorarch=3D'undef'
d_vendorbin=3D'undef'
d_vendorlib=3D'undef'
d_vendorscript=3D'undef'
d_vfork=3D'undef'
d_void_closedir=3D'undef'
d_voidsig=3D'define'
d_voidtty=3D''
d_vsnprintf=3D'define'
d_wait4=3D'define'
d_waitpid=3D'define'
d_wcscmp=3D'define'
d_wcstombs=3D'define'
d_wcsxfrm=3D'define'
d_wctomb=3D'define'
d_writev=3D'define'
d_xenix=3D'undef'
date=3D'date'
db_hashtype=3D'u_int32_t'
db_prefixtype=3D'size_t'
db_version_major=3D''
db_version_minor=3D''
db_version_patch=3D''
default_inc_excludes_dot=3D'define'
direntrytype=3D'struct dirent'
dlext=3D'so'
dlsrc=3D'dl_dlopen.xs'
doubleinfbytes=3D'0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0x7f'
doublekind=3D'3'
doublemantbits=3D'52'
doublenanbytes=3D'0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff'
doublesize=3D'8'
drand01=3D'Perl_drand48()'
drand48_r_proto=3D'REENTRANT_PROTO_I_ST'
dtrace=3D''
dtraceobject=3D''
dtracexnolibs=3D''
dynamic_ext=3D'arybase attributes B Compress/Raw/Bzip2 Compress/Raw/Zlib Cw=
d Data/Dumper Devel/Peek Devel/PPPort Digest/MD5 Digest/SHA Encode Fcntl Fi=
le/DosGlob File/Glob Filter/Util/Call Hash/Util Hash/Util/FieldHash I18N/La=
nginfo IO IPC/SysV List/Util Math/BigInt/FastCalc MIME/Base64 mro Opcode Pe=
rlIO/encoding PerlIO/mmap PerlIO/scalar PerlIO/via POSIX re SDBM_File Socke=
t Storable Sys/Hostname Sys/Syslog threads threads/shared Tie/Hash/NamedCap=
ture Time/HiRes Time/Piece Unicode/Collate Unicode/Normalize XS/APItest XS/=
Typemap'
eagain=3D'EAGAIN'
ebcdic=3D'undef'
echo=3D'echo'
egrep=3D'egrep'
emacs=3D''
endgrent_r_proto=3D'0'
endhostent_r_proto=3D'0'
endnetent_r_proto=3D'0'
endprotoent_r_proto=3D'0'
endpwent_r_proto=3D'0'
endservent_r_proto=3D'0'
eunicefix=3D':'
exe_ext=3D''
expr=3D'expr'
extensions=3D'arybase attributes B Compress/Raw/Bzip2 Compress/Raw/Zlib Cwd=
 Data/Dumper Devel/Peek Devel/PPPort Digest/MD5 Digest/SHA Encode Fcntl Fil=
e/DosGlob File/Glob Filter/Util/Call Hash/Util Hash/Util/FieldHash I18N/Lan=
ginfo IO IPC/SysV List/Util Math/BigInt/FastCalc MIME/Base64 mro Opcode Per=
lIO/encoding PerlIO/mmap PerlIO/scalar PerlIO/via POSIX re SDBM_File Socket=
 Storable Sys/Hostname Sys/Syslog threads threads/shared Tie/Hash/NamedCapt=
ure Time/HiRes Time/Piece Unicode/Collate Unicode/Normalize XS/APItest XS/T=
ypemap Archive/Tar Attribute/Handlers autodie AutoLoader autouse base B/Deb=
ug bignum Carp Config/Perl/V constant CPAN CPAN/Meta CPAN/Meta/Requirements=
 CPAN/Meta/YAML Devel/SelfStubber Digest Dumpvalue encoding/warnings Env Er=
rno experimental Exporter ExtUtils/CBuilder ExtUtils/Constant ExtUtils/Inst=
all ExtUtils/MakeMaker ExtUtils/Manifest ExtUtils/Miniperl ExtUtils/ParseXS=
 FileCache File/Fetch File/Find File/Path File/Temp Filter/Simple Getopt/Lo=
ng HTTP/Tiny I18N/Collate I18N/LangTags if IO/Compress IO/Socket/IP IO/Zlib=
 IPC/Cmd IPC/Open3 JSON/PP lib libnet Locale/Codes Locale/Maketext Locale/M=
aketext/Simple Math/BigInt Math/BigRat Math/Complex Memoize Module/CoreList=
 Module/Load Module/Load/Conditional Module/Loaded Module/Metadata Net/Ping=
 NEXT Params/Check parent perlfaq PerlIO/via/QuotedPrint Perl/OSType Pod/Ch=
ecker Pod/Escapes Pod/Functions Pod/Html podlators Pod/Parser Pod/Perldoc P=
od/Simple Pod/Usage Safe Search/Dict SelfLoader Term/ANSIColor Term/Cap Ter=
m/Complete Term/ReadLine Test Test/Harness Test/Simple Text/Abbrev Text/Bal=
anced Text/ParseWords Text/Tabs Thread/Queue Thread/Semaphore Tie/File Tie/=
Memoize Tie/RefHash Time/Local version XSLoader'
extern_C=3D'extern'
extras=3D''
fflushNULL=3D'define'
fflushall=3D'undef'
find=3D''
firstmakefile=3D'makefile'
flex=3D''
fpossize=3D'16'
fpostype=3D'fpos_t'
freetype=3D'void'
from=3D':'
full_ar=3D'ar'
full_csh=3D'csh'
full_sed=3D'sed'
gccansipedantic=3D''
gccosandvers=3D''
gccversion=3D'5.5.0'
getgrent_r_proto=3D'REENTRANT_PROTO_I_SBWR'
getgrgid_r_proto=3D'REENTRANT_PROTO_I_TSBWR'
getgrnam_r_proto=3D'REENTRANT_PROTO_I_CSBWR'
gethostbyaddr_r_proto=3D'REENTRANT_PROTO_I_TsISBWRE'
gethostbyname_r_proto=3D'REENTRANT_PROTO_I_CSBWRE'
gethostent_r_proto=3D'REENTRANT_PROTO_I_SBWRE'
getlogin_r_proto=3D'REENTRANT_PROTO_I_BW'
getnetbyaddr_r_proto=3D'REENTRANT_PROTO_I_uISBWRE'
getnetbyname_r_proto=3D'REENTRANT_PROTO_I_CSBWRE'
getnetent_r_proto=3D'REENTRANT_PROTO_I_SBWRE'
getprotobyname_r_proto=3D'REENTRANT_PROTO_I_CSBWR'
getprotobynumber_r_proto=3D'REENTRANT_PROTO_I_ISBWR'
getprotoent_r_proto=3D'REENTRANT_PROTO_I_SBWR'
getpwent_r_proto=3D'REENTRANT_PROTO_I_SBWR'
getpwnam_r_proto=3D'REENTRANT_PROTO_I_CSBWR'
getpwuid_r_proto=3D'REENTRANT_PROTO_I_TSBWR'
getservbyname_r_proto=3D'REENTRANT_PROTO_I_CCSBWR'
getservbyport_r_proto=3D'REENTRANT_PROTO_I_ICSBWR'
getservent_r_proto=3D'REENTRANT_PROTO_I_SBWR'
getspnam_r_proto=3D'REENTRANT_PROTO_I_CSBWR'
gidformat=3D'"u"'
gidsign=3D'1'
gidsize=3D'4'
gidtype=3D'gid_t'
glibpth=3D''
gmake=3D'gmake'
gmtime_r_proto=3D'REENTRANT_PROTO_S_TS'
gnulibc_version=3D'2.28'
grep=3D'grep'
groupcat=3D'cat /etc/group'
groupstype=3D'gid_t'
gzip=3D'gzip'
h_fcntl=3D'false'
h_sysfile=3D'true'
hint=3D'recommended'
hostcat=3D'cat /etc/hosts'
hostgenerate=3D''
hostosname=3D''
hostperl=3D''
html1dir=3D' '
html1direxp=3D''
html3dir=3D' '
html3direxp=3D''
i16size=3D'2'
i16type=3D'short'
i32size=3D'4'
i32type=3D'int'
i64size=3D'8'
i64type=3D'long'
i8size=3D'1'
i8type=3D'signed char'
i_arpainet=3D'define'
i_bfd=3D'define'
i_bsdioctl=3D''
i_crypt=3D'define'
i_db=3D'undef'
i_dbm=3D'undef'
i_dirent=3D'define'
i_dlfcn=3D'define'
i_execinfo=3D'define'
i_fcntl=3D'undef'
i_fenv=3D'define'
i_fp=3D'undef'
i_fp_class=3D'undef'
i_gdbm=3D'undef'
i_gdbm_ndbm=3D'undef'
i_gdbmndbm=3D'undef'
i_grp=3D'define'
i_ieeefp=3D'undef'
i_inttypes=3D'define'
i_langinfo=3D'define'
i_libutil=3D'undef'
i_limits=3D'define'
i_locale=3D'define'
i_machcthr=3D'undef'
i_malloc=3D'define'
i_mallocmalloc=3D'undef'
i_mntent=3D'define'
i_ndbm=3D'undef'
i_netdb=3D'define'
i_neterrno=3D'undef'
i_netinettcp=3D'define'
i_niin=3D'define'
i_poll=3D'define'
i_prot=3D'undef'
i_pthread=3D'define'
i_pwd=3D'define'
i_quadmath=3D'define'
i_rpcsvcdbm=3D'undef'
i_sgtty=3D'undef'
i_shadow=3D'define'
i_socks=3D'undef'
i_stdbool=3D'define'
i_stdint=3D'define'
i_stdlib=3D'define'
i_string=3D'define'
i_sunmath=3D'undef'
i_sysaccess=3D'undef'
i_sysdir=3D'define'
i_sysfile=3D'define'
i_sysfilio=3D'undef'
i_sysin=3D'undef'
i_sysioctl=3D'define'
i_syslog=3D'define'
i_sysmman=3D'define'
i_sysmode=3D'undef'
i_sysmount=3D'define'
i_sysndir=3D'undef'
i_sysparam=3D'define'
i_syspoll=3D'define'
i_sysresrc=3D'define'
i_syssecrt=3D'undef'
i_sysselct=3D'define'
i_syssockio=3D'undef'
i_sysstat=3D'define'
i_sysstatfs=3D'define'
i_sysstatvfs=3D'define'
i_systime=3D'define'
i_systimek=3D'undef'
i_systimes=3D'define'
i_systypes=3D'define'
i_sysuio=3D'define'
i_sysun=3D'define'
i_sysutsname=3D'define'
i_sysvfs=3D'define'
i_syswait=3D'define'
i_termio=3D'undef'
i_termios=3D'define'
i_time=3D'define'
i_unistd=3D'define'
i_ustat=3D'undef'
i_utime=3D'define'
i_vfork=3D'undef'
i_wchar=3D'define'
i_xlocale=3D'undef'
ignore_versioned_solibs=3D'y'
inc_version_list=3D' '
inc_version_list_init=3D'0'
incpath=3D''
incpth=3D'/gnu/store/571zsgw2bby7vrz8201br40snlvl0xbl-gcc-cross-x86_64-w64-=
mingw32-5.5.0/include /gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0=
.6/include /gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/include /gn=
u/store/ypiyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/include /gnu/store/l67si=
b1ld0fgyf0f4vrzyxnmn4yvimvb-gawk-4.2.1/include /gnu/store/7j3941iannrngdvgb=
clyxid12vds5w9i-make-4.2.1/include /gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b3=
0h1-binutils-2.31.1/include /gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc=
-5.5.0/include /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/inclu=
de /gnu/store/xha1mk4qji8fmg62nygfzdx0l94ikdhm-linux-libre-headers-4.14.67/=
include /gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib/lib/gcc/x=
86_64-unknown-linux-gnu/5.5.0/include /gnu/store/4sqps8dczv3g7rwbdibfz6rf5j=
lk7w90-gcc-5.5.0-lib/lib/gcc/x86_64-unknown-linux-gnu/5.5.0/include-fixed'
inews=3D''
initialinstalllocation=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-=
5.28.0/bin'
installarchlib=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/l=
ib/perl5/5.28.0/x86_64-linux-thread-multi'
installbin=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
installhtml1dir=3D''
installhtml3dir=3D''
installman1dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/s=
hare/man/man1'
installman3dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/s=
hare/man/man3'
installprefix=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0'
installprefixexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0'
installprivlib=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/l=
ib/perl5/5.28.0'
installscript=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bi=
n'
installsitearch=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/=
lib/perl5/site_perl/5.28.0/x86_64-linux-thread-multi'
installsitebin=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/b=
in'
installsitehtml1dir=3D''
installsitehtml3dir=3D''
installsitelib=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/l=
ib/perl5/site_perl/5.28.0'
installsiteman1dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28=
.0/share/man/man1'
installsiteman3dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28=
.0/share/man/man3'
installsitescript=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.=
0/bin'
installstyle=3D'lib/perl5'
installusrbinperl=3D'undef'
installvendorarch=3D''
installvendorbin=3D''
installvendorhtml1dir=3D''
installvendorhtml3dir=3D''
installvendorlib=3D''
installvendorman1dir=3D''
installvendorman3dir=3D''
installvendorscript=3D''
intsize=3D'4'
issymlink=3D'test -h'
ivdformat=3D'"ld"'
ivsize=3D'8'
ivtype=3D'long'
known_extensions=3D'Amiga/ARexx Amiga/Exec Archive/Tar arybase Attribute/Ha=
ndlers attributes autodie AutoLoader autouse B base B/Debug bignum Carp Com=
press/Raw/Bzip2 Compress/Raw/Zlib Config/Perl/V constant CPAN CPAN/Meta CPA=
N/Meta/Requirements CPAN/Meta/YAML Cwd Data/Dumper DB_File Devel/Peek Devel=
/PPPort Devel/SelfStubber Digest Digest/MD5 Digest/SHA Dumpvalue Encode enc=
oding/warnings Env Errno experimental Exporter ExtUtils/CBuilder ExtUtils/C=
onstant ExtUtils/Install ExtUtils/MakeMaker ExtUtils/Manifest ExtUtils/Mini=
perl ExtUtils/ParseXS Fcntl FileCache File/DosGlob File/Fetch File/Find Fil=
e/Glob File/Path File/Temp Filter/Simple Filter/Util/Call GDBM_File Getopt/=
Long Hash/Util Hash/Util/FieldHash HTTP/Tiny I18N/Collate I18N/Langinfo I18=
N/LangTags if IO IO/Compress IO/Socket/IP IO/Zlib IPC/Cmd IPC/Open3 IPC/Sys=
V JSON/PP lib libnet List/Util Locale/Codes Locale/Maketext Locale/Maketext=
/Simple Math/BigInt Math/BigInt/FastCalc Math/BigRat Math/Complex Memoize M=
IME/Base64 Module/CoreList Module/Load Module/Load/Conditional Module/Loade=
d Module/Metadata mro NDBM_File Net/Ping NEXT ODBM_File Opcode Params/Check=
 parent perlfaq PerlIO/encoding PerlIO/mmap PerlIO/scalar PerlIO/via PerlIO=
/via/QuotedPrint Perl/OSType Pod/Checker Pod/Escapes Pod/Functions Pod/Html=
 podlators Pod/Parser Pod/Perldoc Pod/Simple Pod/Usage POSIX re Safe SDBM_F=
ile Search/Dict SelfLoader Socket Storable Sys/Hostname Sys/Syslog Term/ANS=
IColor Term/Cap Term/Complete Term/ReadLine Test Test/Harness Test/Simple T=
ext/Abbrev Text/Balanced Text/ParseWords Text/Tabs Thread/Queue threads Thr=
ead/Semaphore threads/shared Tie/File Tie/Hash/NamedCapture Tie/Memoize Tie=
/RefHash Time/HiRes Time/Local Time/Piece Unicode/Collate Unicode/Normalize=
 version VMS/DCLsym VMS/Filespec VMS/Stdio Win32 Win32API/File Win32CORE XS=
/APItest XSLoader XS/Typemap '
ksh=3D''
ld=3D'gcc'
ld_can_script=3D'define'
lddlflags=3D'-shared -O2 -L/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glib=
c-2.28/lib -fstack-protector-strong'
ldflags=3D' -fstack-protector-strong -L/gnu/store/h90vnqw0nwd0hhm1l5dgxsdri=
gddfmq4-glibc-2.28/lib'
ldflags_uselargefiles=3D''
ldlibpthname=3D'LD_LIBRARY_PATH'
less=3D'less'
lib_ext=3D'.a'
libc=3D''
libdb_needs_pthread=3D'N'
libperl=3D'libperl.so'
libpth=3D'/gnu/store/571zsgw2bby7vrz8201br40snlvl0xbl-gcc-cross-x86_64-w64-=
mingw32-5.5.0/lib /gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.6/l=
ib /gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/lib /gnu/store/ypiy=
k8ngn79cz655jrl0hng37xv54yjr-file-5.33/lib /gnu/store/l67sib1ld0fgyf0f4vrzy=
xnmn4yvimvb-gawk-4.2.1/lib /gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-binu=
tils-2.31.1/lib /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib =
/gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib/lib/gcc/x86_64-un=
known-linux-gnu/5.5.0/include-fixed'
libs=3D'-lpthread -ldl -lm -lcrypt -lutil -lc'
libsdirs=3D' /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib'
libsfiles=3D' libpthread.so libdl.so libm.so libcrypt.so libutil.so libc.so'
libsfound=3D' /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/li=
bpthread.so /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libd=
l.so /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libm.so /gn=
u/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libcrypt.so /gnu/st=
ore/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libutil.so /gnu/store/h=
90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib/libc.so'
libspath=3D' /gnu/store/571zsgw2bby7vrz8201br40snlvl0xbl-gcc-cross-x86_64-w=
64-mingw32-5.5.0/lib /gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.=
6/lib /gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/lib /gnu/store/y=
piyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/lib /gnu/store/l67sib1ld0fgyf0f4v=
rzyxnmn4yvimvb-gawk-4.2.1/lib /gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-b=
inutils-2.31.1/lib /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/l=
ib /gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib/lib/gcc/x86_64=
-unknown-linux-gnu/5.5.0/include-fixed'
libswanted=3D'cl pthread socket inet nsl ndbm gdbm dbm db malloc dl ld sun =
m crypt sec util c cposix posix ucb BSD gdbm_compat'
libswanted_uselargefiles=3D''
line=3D''
lint=3D''
lkflags=3D''
ln=3D'ln'
lns=3D'/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bin/ln -s'
localtime_r_proto=3D'REENTRANT_PROTO_S_TS'
locincpth=3D'/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/include'
loclibpth=3D'/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib'
longdblinfbytes=3D'0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0x=
7f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00'
longdblkind=3D'3'
longdblmantbits=3D'64'
longdblnanbytes=3D'0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0x=
ff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00'
longdblsize=3D'16'
longlongsize=3D'8'
longsize=3D'8'
lp=3D''
lpr=3D''
ls=3D'ls'
lseeksize=3D'8'
lseektype=3D'off_t'
mail=3D''
mailx=3D''
make=3D'make'
make_set_make=3D'#'
mallocobj=3D''
mallocsrc=3D''
malloctype=3D'void *'
man1dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/share/ma=
n/man1'
man1direxp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/share=
/man/man1'
man1ext=3D'1'
man3dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/share/ma=
n/man3'
man3direxp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/share=
/man/man3'
man3ext=3D'3'
mips_type=3D''
mistrustnm=3D''
mkdir=3D'mkdir'
mmaptype=3D'void *'
modetype=3D'mode_t'
more=3D'more'
multiarch=3D'undef'
mv=3D''
myarchname=3D'x86_64-linux'
mydomain=3D'.nonet'
myhostname=3D'localhost'
myuname=3D'linux '
n=3D'-n'
need_va_copy=3D'define'
netdb_hlen_type=3D'size_t'
netdb_host_type=3D'char *'
netdb_name_type=3D'const char *'
netdb_net_type=3D'in_addr_t'
nm=3D'nm'
nm_opt=3D''
nm_so_opt=3D'--dynamic'
nonxs_ext=3D'Archive/Tar Attribute/Handlers autodie AutoLoader autouse base=
 B/Debug bignum Carp Config/Perl/V constant CPAN CPAN/Meta CPAN/Meta/Requir=
ements CPAN/Meta/YAML Devel/SelfStubber Digest Dumpvalue encoding/warnings =
Env Errno experimental Exporter ExtUtils/CBuilder ExtUtils/Constant ExtUtil=
s/Install ExtUtils/MakeMaker ExtUtils/Manifest ExtUtils/Miniperl ExtUtils/P=
arseXS FileCache File/Fetch File/Find File/Path File/Temp Filter/Simple Get=
opt/Long HTTP/Tiny I18N/Collate I18N/LangTags if IO/Compress IO/Socket/IP I=
O/Zlib IPC/Cmd IPC/Open3 JSON/PP lib libnet Locale/Codes Locale/Maketext Lo=
cale/Maketext/Simple Math/BigInt Math/BigRat Math/Complex Memoize Module/Co=
reList Module/Load Module/Load/Conditional Module/Loaded Module/Metadata Ne=
t/Ping NEXT Params/Check parent perlfaq PerlIO/via/QuotedPrint Perl/OSType =
Pod/Checker Pod/Escapes Pod/Functions Pod/Html podlators Pod/Parser Pod/Per=
ldoc Pod/Simple Pod/Usage Safe Search/Dict SelfLoader Term/ANSIColor Term/C=
ap Term/Complete Term/ReadLine Test Test/Harness Test/Simple Text/Abbrev Te=
xt/Balanced Text/ParseWords Text/Tabs Thread/Queue Thread/Semaphore Tie/Fil=
e Tie/Memoize Tie/RefHash Time/Local version XSLoader'
nroff=3D'nroff'
nvEUformat=3D'"E"'
nvFUformat=3D'"F"'
nvGUformat=3D'"G"'
nv_overflows_integers_at=3D'256.0*256.0*256.0*256.0*256.0*256.0*2.0*2.0*2.0=
*2.0*2.0'
nv_preserves_uv_bits=3D'53'
nveformat=3D'"e"'
nvfformat=3D'"f"'
nvgformat=3D'"g"'
nvmantbits=3D'52'
nvsize=3D'8'
nvtype=3D'double'
o_nonblock=3D'O_NONBLOCK'
obj_ext=3D'.o'
old_pthread_create_joinable=3D''
optimize=3D'-O2'
orderlib=3D'false'
osname=3D'linux'
osvers=3D''
otherlibdirs=3D' '
package=3D'perl5'
pager=3D'/usr/ucb/more'
passcat=3D'cat /etc/passwd'
patchlevel=3D'28'
path_sep=3D':'
perl=3D'perl'
perl5=3D''
perl_patchlevel=3D''
perl_static_inline=3D'static __inline__'
perladmin=3D'guix@HIDDEN'
perllibs=3D'-lpthread -ldl -lm -lcrypt -lutil -lc'
perlpath=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin/per=
l'
pg=3D'pg'
phostname=3D'uname -n'
pidtype=3D'pid_t'
plibpth=3D''
pmake=3D''
pr=3D''
prefix=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0'
prefixexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0'
privlib=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/perl=
5/5.28.0'
privlibexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/p=
erl5/5.28.0'
procselfexe=3D'"/proc/self/exe"'
prototype=3D'define'
ptrsize=3D'8'
quadkind=3D'2'
quadtype=3D'long'
randbits=3D'48'
randfunc=3D'Perl_drand48'
random_r_proto=3D'REENTRANT_PROTO_I_St'
randseedtype=3D'U32'
ranlib=3D':'
rd_nodata=3D'-1'
readdir64_r_proto=3D'REENTRANT_PROTO_I_TSR'
readdir_r_proto=3D'REENTRANT_PROTO_I_TSR'
revision=3D'5'
rm=3D'rm'
rm_try=3D'/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bin/rm=
 -f try try a.out .out try.[cho] try..o core core.try* try.core*'
rmail=3D''
run=3D''
runnm=3D'false'
sGMTIME_max=3D'67768036191676799'
sGMTIME_min=3D'-62167219200'
sLOCALTIME_max=3D'67768036191676799'
sLOCALTIME_min=3D'-62167219200'
sPRIEUldbl=3D'"LE"'
sPRIFUldbl=3D'"LF"'
sPRIGUldbl=3D'"LG"'
sPRIXU64=3D'"lX"'
sPRId64=3D'"ld"'
sPRIeldbl=3D'"Le"'
sPRIfldbl=3D'"Lf"'
sPRIgldbl=3D'"Lg"'
sPRIi64=3D'"li"'
sPRIo64=3D'"lo"'
sPRIu64=3D'"lu"'
sPRIx64=3D'"lx"'
sSCNfldbl=3D'"Lf"'
sched_yield=3D'sched_yield()'
scriptdir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
scriptdirexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
sed=3D'sed'
seedfunc=3D'Perl_drand48_init'
selectminbits=3D'64'
selecttype=3D'fd_set *'
sendmail=3D''
setgrent_r_proto=3D'0'
sethostent_r_proto=3D'0'
setlocale_r_proto=3D'0'
setnetent_r_proto=3D'0'
setprotoent_r_proto=3D'0'
setpwent_r_proto=3D'0'
setservent_r_proto=3D'0'
sh=3D'/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23/bin/s=
h'
shar=3D''
sharpbang=3D'#!'
shmattype=3D'void *'
shortsize=3D'2'
shrpenv=3D''
shsharp=3D'true'
sig_count=3D'65'
sig_name=3D'ZERO HUP INT QUIT ILL TRAP ABRT BUS FPE KILL USR1 SEGV USR2 PIP=
E ALRM TERM STKFLT CHLD CONT STOP TSTP TTIN TTOU URG XCPU XFSZ VTALRM PROF =
WINCH IO PWR SYS NUM32 NUM33 RTMIN NUM35 NUM36 NUM37 NUM38 NUM39 NUM40 NUM4=
1 NUM42 NUM43 NUM44 NUM45 NUM46 NUM47 NUM48 NUM49 NUM50 NUM51 NUM52 NUM53 N=
UM54 NUM55 NUM56 NUM57 NUM58 NUM59 NUM60 NUM61 NUM62 NUM63 RTMAX IOT CLD PO=
LL '
sig_name_init=3D'"ZERO", "HUP", "INT", "QUIT", "ILL", "TRAP", "ABRT", "BUS"=
, "FPE", "KILL", "USR1", "SEGV", "USR2", "PIPE", "ALRM", "TERM", "STKFLT", =
"CHLD", "CONT", "STOP", "TSTP", "TTIN", "TTOU", "URG", "XCPU", "XFSZ", "VTA=
LRM", "PROF", "WINCH", "IO", "PWR", "SYS", "NUM32", "NUM33", "RTMIN", "NUM3=
5", "NUM36", "NUM37", "NUM38", "NUM39", "NUM40", "NUM41", "NUM42", "NUM43",=
 "NUM44", "NUM45", "NUM46", "NUM47", "NUM48", "NUM49", "NUM50", "NUM51", "N=
UM52", "NUM53", "NUM54", "NUM55", "NUM56", "NUM57", "NUM58", "NUM59", "NUM6=
0", "NUM61", "NUM62", "NUM63", "RTMAX", "IOT", "CLD", "POLL", 0'
sig_num=3D'0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24=
 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49=
 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 6 17 29 '
sig_num_init=3D'0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 1=
7, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, =
36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54,=
 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 0'
sig_size=3D'68'
signal_t=3D'void'
sitearch=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/per=
l5/site_perl/5.28.0/x86_64-linux-thread-multi'
sitearchexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/=
perl5/site_perl/5.28.0/x86_64-linux-thread-multi'
sitebin=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
sitebinexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
sitehtml1dir=3D''
sitehtml1direxp=3D''
sitehtml3dir=3D''
sitehtml3direxp=3D''
sitelib=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/perl=
5/site_perl/5.28.0'
sitelib_stem=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib=
/perl5/site_perl'
sitelibexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/p=
erl5/site_perl/5.28.0'
siteman1dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/shar=
e/man/man1'
siteman1direxp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/s=
hare/man/man1'
siteman3dir=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/shar=
e/man/man3'
siteman3direxp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/s=
hare/man/man3'
siteprefix=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0'
siteprefixexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0'
sitescript=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin'
sitescriptexp=3D'/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bi=
n'
sizesize=3D'8'
sizetype=3D'size_t'
sleep=3D''
smail=3D''
so=3D'so'
sockethdr=3D''
socketlib=3D''
socksizetype=3D'socklen_t'
sort=3D'sort'
spackage=3D'Perl5'
spitshell=3D'cat'
srand48_r_proto=3D'REENTRANT_PROTO_I_LS'
srandom_r_proto=3D'REENTRANT_PROTO_I_TS'
src=3D'.'
ssizetype=3D'ssize_t'
st_ino_sign=3D'1'
st_ino_size=3D'8'
startperl=3D'#!/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin/=
perl'
startsh=3D'#!/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.2=
3/bin/sh'
static_ext=3D' '
stdchar=3D'char'
stdio_base=3D'((fp)->_base)'
stdio_bufsiz=3D'((fp)->_cnt + (fp)->_ptr - (fp)->_base)'
stdio_cnt=3D'((fp)->_cnt)'
stdio_filbuf=3D''
stdio_ptr=3D'((fp)->_ptr)'
stdio_stream_array=3D''
strerror_r_proto=3D'REENTRANT_PROTO_B_IBW'
submit=3D''
subversion=3D'0'
sysman=3D''
sysroot=3D''
tail=3D''
tar=3D''
targetarch=3D''
targetdir=3D''
targetenv=3D''
targethost=3D''
targetmkdir=3D''
targetport=3D''
targetsh=3D'/gnu/store/q19l04vd2za80mk1845pz7r8cz29qk43-bash-minimal-4.4.23=
/bin/sh'
tbl=3D''
tee=3D''
test=3D'test'
timeincl=3D'/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/include/=
sys/time.h '
timetype=3D'time_t'
tmpnam_r_proto=3D'REENTRANT_PROTO_B_B'
to=3D':'
touch=3D'touch'
tr=3D'tr'
trnl=3D'\n'
troff=3D''
ttyname_r_proto=3D'REENTRANT_PROTO_I_IBW'
u16size=3D'2'
u16type=3D'unsigned short'
u32size=3D'4'
u32type=3D'unsigned int'
u64size=3D'8'
u64type=3D'unsigned long'
u8size=3D'1'
u8type=3D'unsigned char'
uidformat=3D'"u"'
uidsign=3D'1'
uidsize=3D'4'
uidtype=3D'uid_t'
uname=3D'uname'
uniq=3D'uniq'
uquadtype=3D'unsigned long'
use5005threads=3D'undef'
use64bitall=3D'define'
use64bitint=3D'define'
usecbacktrace=3D'undef'
usecrosscompile=3D'undef'
usedevel=3D'undef'
usedl=3D'define'
usedtrace=3D'undef'
usefaststdio=3D'undef'
useithreads=3D'define'
usekernprocpathname=3D'undef'
uselanginfo=3D'true'
uselargefiles=3D'define'
uselongdouble=3D'undef'
usemallocwrap=3D'define'
usemorebits=3D'undef'
usemultiplicity=3D'define'
usemymalloc=3D'n'
usenm=3D'false'
usensgetexecutablepath=3D'undef'
useopcode=3D'true'
useperlio=3D'define'
useposix=3D'true'
usequadmath=3D'undef'
usereentrant=3D'undef'
userelocatableinc=3D'undef'
useshrplib=3D'true'
usesitecustomize=3D'undef'
usesocks=3D'undef'
usethreads=3D'define'
usevendorprefix=3D'undef'
useversionedarchname=3D'undef'
usevfork=3D'false'
usrinc=3D'/usr/include'
uuname=3D''
uvXUformat=3D'"lX"'
uvoformat=3D'"lo"'
uvsize=3D'8'
uvtype=3D'unsigned long'
uvuformat=3D'"lu"'
uvxformat=3D'"lx"'
vendorarch=3D''
vendorarchexp=3D''
vendorbin=3D''
vendorbinexp=3D''
vendorhtml1dir=3D' '
vendorhtml1direxp=3D''
vendorhtml3dir=3D' '
vendorhtml3direxp=3D''
vendorlib=3D''
vendorlib_stem=3D''
vendorlibexp=3D''
vendorman1dir=3D' '
vendorman1direxp=3D''
vendorman3dir=3D' '
vendorman3direxp=3D''
vendorprefix=3D''
vendorprefixexp=3D''
vendorscript=3D''
vendorscriptexp=3D''
version=3D'5.28.0'
version_patchlevel_string=3D'version 28 subversion 0'
versiononly=3D'undef'
vi=3D''
xlibpth=3D''
yacc=3D'yacc'
yaccflags=3D''
zcat=3D''
zip=3D'zip'
!END!

my $i =3D ord(8);
foreach my $c (7,6,5,4,3,2,1) { $i <<=3D 8; $i |=3D ord($c); }
our $byteorder =3D join('', unpack('aaaaaaaa', pack('L!', $i)));
s/(byteorder=3D)(['"]).*?\2/$1$2$Config::byteorder$2/m;

my $config_sh_len =3D length $_;

our $Config_SH_expanded =3D "\n$_" . << 'EOVIRTUAL';
ccflags_nolargefiles=3D'-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-alia=
sing -pipe -fstack-protector-strong -I/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrig=
ddfmq4-glibc-2.28/include  -D_FORTIFY_SOURCE=3D2'
ldflags_nolargefiles=3D' -fstack-protector-strong -L/gnu/store/h90vnqw0nwd0=
hhm1l5dgxsdrigddfmq4-glibc-2.28/lib'
libs_nolargefiles=3D'-lpthread -ldl -lm -lcrypt -lutil -lc'
libswanted_nolargefiles=3D'cl pthread socket inet nsl ndbm gdbm dbm db mall=
oc dl ld sun m crypt sec util c cposix posix ucb BSD gdbm_compat'
ccwarnflags=3D' -Wall -Werror=3Ddeclaration-after-statement -Werror=3Dpoint=
er-arith -Wextra -Wc++-compat -Wwrite-strings'
ccstdflags=3D' -std=3Dgnu89'
EOVIRTUAL
eval {
	# do not have hairy conniptions if this isnt available
	require 'Config_git.pl';
	$Config_SH_expanded .=3D $Config::Git_Data;
	1;
} or warn "Warning: failed to load Config_git.pl, something strange about t=
his perl...\n";

# Search for it in the big string
sub fetch_string {
    my($self, $key) =3D @_;

    return undef unless $Config_SH_expanded =3D~ /\n$key=3D\'(.*?)\'\n/s;
    # So we can say "if $Config{'foo'}".
    $self->{$key} =3D $1 eq 'undef' ? undef : $1;
}

my $prevpos =3D 0;

sub FIRSTKEY {
    $prevpos =3D 0;
    substr($Config_SH_expanded, 1, index($Config_SH_expanded, '=3D') - 1 );
}

sub NEXTKEY {
    my $pos =3D index($Config_SH_expanded, qq('\n), $prevpos) + 2;
    my $len =3D index($Config_SH_expanded, "=3D", $pos) - $pos;
    $prevpos =3D $pos;
    $len > 0 ? substr($Config_SH_expanded, $pos, $len) : undef;
}

sub EXISTS {
    return 1 if exists($_[0]->{$_[1]});

    return(index($Config_SH_expanded, "\n$_[1]=3D'") !=3D -1
          );
}

sub STORE  { die "\%Config::Config is read-only\n" }
*DELETE =3D *CLEAR =3D \*STORE; # Typeglob aliasing uses less space

sub config_sh {
    substr $Config_SH_expanded, 1, $config_sh_len;
}

sub config_re {
    my $re =3D shift;
    return map { chomp; $_ } grep eval{ /^(?:$re)=3D/ }, split /^/,
    $Config_SH_expanded;
}

sub config_vars {
    # implements -V:cfgvar option (see perlrun -V:)
    foreach (@_) {
	# find optional leading, trailing colons; and query-spec
	my ($notag,$qry,$lncont) =3D m/^(:)?(.*?)(:)?$/;	# flags fore and aft,=20
	# map colon-flags to print decorations
	my $prfx =3D $notag ? '': "$qry=3D";		# tag-prefix for print
	my $lnend =3D $lncont ? ' ' : ";\n";		# line ending for print

	# all config-vars are by definition \w only, any \W means regex
	if ($qry =3D~ /\W/) {
	    my @matches =3D config_re($qry);
	    print map "$_$lnend", @matches ? @matches : "$qry: not found"		if !$no=
tag;
	    print map { s/\w+=3D//; "$_$lnend" } @matches ? @matches : "$qry: not =
found"	if  $notag;
	} else {
	    my $v =3D (exists $Config::Config{$qry}) ? $Config::Config{$qry}
						   : 'UNKNOWN';
	    $v =3D 'undef' unless defined $v;
	    print "${prfx}'${v}'$lnend";
	}
    }
}

# Called by the real AUTOLOAD
sub launcher {
    undef &AUTOLOAD;
    goto \&$Config::AUTOLOAD;
}

1;

--=-=-=
Content-Type: text/x-perl
Content-Disposition: inline; filename=Config.pm
Content-Description: Net/Config.pm

# Net::Config.pm
#
# Copyright (C) 2000 Graham Barr.  All rights reserved.
# Copyright (C) 2013-2014, 2016 Steve Hay.  All rights reserved.
# This module is free software; you can redistribute it and/or modify it under
# the same terms as Perl itself, i.e. under the terms of either the GNU General
# Public License or the Artistic License, as specified in the F<LICENCE> file.

package Net::Config;

use 5.008001;

use strict;
use warnings;

use Exporter;
use Socket qw(inet_aton inet_ntoa);

our @EXPORT  = qw(%NetConfig);
our @ISA     = qw(Net::LocalCfg Exporter);
our $VERSION = "3.11";

our($CONFIGURE, $LIBNET_CFG);

eval {
  local @INC = @INC;
  pop @INC if $INC[-1] eq '.';
  local $SIG{__DIE__};
  require Net::LocalCfg;
};

our %NetConfig = (
  nntp_hosts      => [],
  snpp_hosts      => [],
  pop3_hosts      => [],
  smtp_hosts      => [],
  ph_hosts        => [],
  daytime_hosts   => [],
  time_hosts      => [],
  inet_domain     => undef,
  ftp_firewall    => undef,
  ftp_ext_passive => 1,
  ftp_int_passive => 1,
  test_hosts      => 1,
  test_exist      => 1,
);

#
# Try to get as much configuration info as possible from InternetConfig
#
{
## no critic (BuiltinFunctions::ProhibitStringyEval)
$^O eq 'MacOS' and eval <<TRY_INTERNET_CONFIG;
use Mac::InternetConfig;

{
my %nc = (
    nntp_hosts      => [ \$InternetConfig{ kICNNTPHost() } ],
    pop3_hosts      => [ \$InternetConfig{ kICMailAccount() } =~ /\@(.*)/ ],
    smtp_hosts      => [ \$InternetConfig{ kICSMTPHost() } ],
    ftp_testhost    => \$InternetConfig{ kICFTPHost() } ? \$InternetConfig{ kICFTPHost()} : undef,
    ph_hosts        => [ \$InternetConfig{ kICPhHost() }   ],
    ftp_ext_passive => \$InternetConfig{"646F676F\xA5UsePassiveMode"} || 0,
    ftp_int_passive => \$InternetConfig{"646F676F\xA5UsePassiveMode"} || 0,
    socks_hosts     => 
        \$InternetConfig{ kICUseSocks() }    ? [ \$InternetConfig{ kICSocksHost() }    ] : [],
    ftp_firewall    => 
        \$InternetConfig{ kICUseFTPProxy() } ? [ \$InternetConfig{ kICFTPProxyHost() } ] : [],
);
\@NetConfig{keys %nc} = values %nc;
}
TRY_INTERNET_CONFIG
}

my $file = __FILE__;
my $ref;
$file =~ s/Config.pm/libnet.cfg/;
if (-f $file) {
  $ref = eval { local $SIG{__DIE__}; do $file };
  if (ref($ref) eq 'HASH') {
    %NetConfig = (%NetConfig, %{$ref});
    $LIBNET_CFG = $file;
  }
}
if ($< == $> and !$CONFIGURE) {
  my $home = eval { local $SIG{__DIE__}; (getpwuid($>))[7] } || $ENV{HOME};
  $home ||= $ENV{HOMEDRIVE} . ($ENV{HOMEPATH} || '') if defined $ENV{HOMEDRIVE};
  if (defined $home) {
    $file      = $home . "/.libnetrc";
    $ref       = eval { local $SIG{__DIE__}; do $file } if -f $file;
    %NetConfig = (%NetConfig, %{$ref})
      if ref($ref) eq 'HASH';
  }
}
my ($k, $v);
while (($k, $v) = each %NetConfig) {
  $NetConfig{$k} = [$v]
    if ($k =~ /_hosts$/ and $k ne "test_hosts" and defined($v) and !ref($v));
}

# Take a hostname and determine if it is inside the firewall


sub requires_firewall {
  shift;    # ignore package
  my $host = shift;

  return 0 unless defined $NetConfig{'ftp_firewall'};

  $host = inet_aton($host) or return -1;
  $host = inet_ntoa($host);

  if (exists $NetConfig{'local_netmask'}) {
    my $quad = unpack("N", pack("C*", split(/\./, $host)));
    my $list = $NetConfig{'local_netmask'};
    $list = [$list] unless ref($list);
    foreach (@$list) {
      my ($net, $bits) = (m#^(\d+\.\d+\.\d+\.\d+)/(\d+)$#) or next;
      my $mask = ~0 << (32 - $bits);
      my $addr = unpack("N", pack("C*", split(/\./, $net)));

      return 0 if (($addr & $mask) == ($quad & $mask));
    }
    return 1;
  }

  return 0;
}

*is_external = \&requires_firewall;

1;

__END__

=head1 NAME

Net::Config - Local configuration data for libnet

=head1 SYNOPSIS

    use Net::Config qw(%NetConfig);

=head1 DESCRIPTION

C<Net::Config> holds configuration data for the modules in the libnet
distribution. During installation you will be asked for these values.

The configuration data is held globally in a file in the perl installation
tree, but a user may override any of these values by providing their own. This
can be done by having a C<.libnetrc> file in their home directory. This file
should return a reference to a HASH containing the keys described below.
For example

    # .libnetrc
    {
        nntp_hosts => [ "my_preferred_host" ],
        ph_hosts   => [ "my_ph_server" ],
    }
    __END__

=head1 METHODS

C<Net::Config> defines the following methods. They are methods as they are
invoked as class methods. This is because C<Net::Config> inherits from
C<Net::LocalCfg> so you can override these methods if you want.

=over 4

=item requires_firewall ( HOST )

Attempts to determine if a given host is outside your firewall. Possible
return values are.

  -1  Cannot lookup hostname
   0  Host is inside firewall (or there is no ftp_firewall entry)
   1  Host is outside the firewall

This is done by using hostname lookup and the C<local_netmask> entry in
the configuration data.

=back

=head1 NetConfig VALUES

=over 4

=item nntp_hosts

=item snpp_hosts

=item pop3_hosts

=item smtp_hosts

=item ph_hosts

=item daytime_hosts

=item time_hosts

Each is a reference to an array of hostnames (in order of preference),
which should be used for the given protocol

=item inet_domain

Your internet domain name

=item ftp_firewall

If you have an FTP proxy firewall (B<NOT> an HTTP or SOCKS firewall)
then this value should be set to the firewall hostname. If your firewall
does not listen to port 21, then this value should be set to
C<"hostname:port"> (eg C<"hostname:99">)

=item ftp_firewall_type

There are many different ftp firewall products available. But unfortunately
there is no standard for how to traverse a firewall.  The list below shows the
sequence of commands that Net::FTP will use

  user        Username for remote host
  pass        Password for remote host
  fwuser      Username for firewall
  fwpass      Password for firewall
  remote.host The hostname of the remote ftp server

=over 4

=item 0Z<>

There is no firewall

=item 1Z<>

     USER user@HIDDEN
     PASS pass

=item 2Z<>

     USER fwuser
     PASS fwpass
     USER user@HIDDEN
     PASS pass

=item 3Z<>

     USER fwuser
     PASS fwpass
     SITE remote.site
     USER user
     PASS pass

=item 4Z<>

     USER fwuser
     PASS fwpass
     OPEN remote.site
     USER user
     PASS pass

=item 5Z<>

     USER user@fwuser@HIDDEN
     PASS pass@fwpass

=item 6Z<>

     USER fwuser@HIDDEN
     PASS fwpass
     USER user
     PASS pass

=item 7Z<>

     USER user@HIDDEN
     PASS pass
     AUTH fwuser
     RESP fwpass

=back

=item ftp_ext_passive

=item ftp_int_passive

FTP servers can work in passive or active mode. Active mode is when
you want to transfer data you have to tell the server the address and
port to connect to.  Passive mode is when the server provide the
address and port and you establish the connection.

With some firewalls active mode does not work as the server cannot
connect to your machine (because you are behind a firewall) and the firewall
does not re-write the command. In this case you should set C<ftp_ext_passive>
to a I<true> value.

Some servers are configured to only work in passive mode. If you have
one of these you can force C<Net::FTP> to always transfer in passive
mode; when not going via a firewall, by setting C<ftp_int_passive> to
a I<true> value.

=item local_netmask

A reference to a list of netmask strings in the form C<"134.99.4.0/24">.
These are used by the C<requires_firewall> function to determine if a given
host is inside or outside your firewall.

=back

The following entries are used during installation & testing on the
libnet package

=over 4

=item test_hosts

If true then C<make test> may attempt to connect to hosts given in the
configuration.

=item test_exists

If true then C<Configure> will check each hostname given that it exists

=back

=head1 AUTHOR

Graham Barr E<lt>F<gbarr@HIDDEN>E<gt>.

Steve Hay E<lt>F<shay@HIDDEN>E<gt> is now maintaining libnet as of version
1.22_02.

=head1 COPYRIGHT

Copyright (C) 1998-2011 Graham Barr.  All rights reserved.

Copyright (C) 2013-2014, 2016 Steve Hay.  All rights reserved.

=head1 LICENCE

This module is free software; you can redistribute it and/or modify it under the
same terms as Perl itself, i.e. under the terms of either the GNU General Public
License or the Artistic License, as specified in the F<LICENCE> file.

=cut

--=-=-=
Content-Type: text/x-perl
Content-Disposition: inline; filename=Config.pm
Content-Description: ExtUtils/MakeMaker/Config.pm

package ExtUtils::MakeMaker::Config;

use strict;

our $VERSION = '7.34';
$VERSION = eval $VERSION;

use Config ();

# Give us an overridable config.
our %Config = %Config::Config;

sub import {
    my $caller = caller;

    no strict 'refs';   ## no critic
    *{$caller.'::Config'} = \%Config;
}

1;


=head1 NAME

ExtUtils::MakeMaker::Config - Wrapper around Config.pm


=head1 SYNOPSIS

  use ExtUtils::MakeMaker::Config;
  print $Config{installbin};  # or whatever


=head1 DESCRIPTION

B<FOR INTERNAL USE ONLY>

A very thin wrapper around Config.pm so MakeMaker is easier to test.

=cut

--=-=-=
Content-Type: text/x-perl
Content-Disposition: inline; filename=Config.pm
Content-Description: x86_64-linux-thread-multi/Config.pm

# This file was created by configpm when Perl was built. Any changes
# made to this file will be lost the next time perl is built.

# for a description of the variables, please have a look at the
# Glossary file, as written in the Porting folder, or use the url:
# http://perl5.git.perl.org/perl.git/blob/HEAD:/Porting/Glossary

package Config;
use strict;
use warnings;
our ( %Config, $VERSION );

$VERSION = "5.028000";

# Skip @Config::EXPORT because it only contains %Config, which we special
# case below as it's not a function. @Config::EXPORT won't change in the
# lifetime of Perl 5.
my %Export_Cache = (myconfig => 1, config_sh => 1, config_vars => 1,
		    config_re => 1, compile_date => 1, local_patches => 1,
		    bincompat_options => 1, non_bincompat_options => 1,
		    header_files => 1);

@Config::EXPORT = qw(%Config);
@Config::EXPORT_OK = keys %Export_Cache;

# Need to stub all the functions to make code such as print Config::config_sh
# keep working

sub bincompat_options;
sub compile_date;
sub config_re;
sub config_sh;
sub config_vars;
sub header_files;
sub local_patches;
sub myconfig;
sub non_bincompat_options;

# Define our own import method to avoid pulling in the full Exporter:
sub import {
    shift;
    @_ = @Config::EXPORT unless @_;

    my @funcs = grep $_ ne '%Config', @_;
    my $export_Config = @funcs < @_ ? 1 : 0;

    no strict 'refs';
    my $callpkg = caller(0);
    foreach my $func (@funcs) {
	die qq{"$func" is not exported by the Config module\n}
	    unless $Export_Cache{$func};
	*{$callpkg.'::'.$func} = \&{$func};
    }

    *{"$callpkg\::Config"} = \%Config if $export_Config;
    return;
}

die "$0: Perl lib version (5.28.0) doesn't match executable '$^X' version ($])"
    unless $^V;

$^V eq 5.28.0
    or die sprintf "%s: Perl lib version (5.28.0) doesn't match executable '$^X' version (%vd)", $0, $^V;


sub FETCH {
    my($self, $key) = @_;

    # check for cached value (which may be undef so we use exists not defined)
    return exists $self->{$key} ? $self->{$key} : $self->fetch_string($key);
}

sub TIEHASH {
    bless $_[1], $_[0];
}

sub DESTROY { }

sub AUTOLOAD {
    require 'Config_heavy.pl';
    goto \&launcher unless $Config::AUTOLOAD =~ /launcher$/;
    die "&Config::AUTOLOAD failed on $Config::AUTOLOAD";
}

# tie returns the object, so the value returned to require will be true.
tie %Config, 'Config', {
    archlibexp => '/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/perl5/5.28.0/x86_64-linux-thread-multi',
    archname => 'x86_64-linux-thread-multi',
    cc => 'gcc',
    d_readlink => 'define',
    d_symlink => 'define',
    dlext => 'so',
    dlsrc => 'dl_dlopen.xs',
    dont_use_nlink => undef,
    exe_ext => '',
    inc_version_list => ' ',
    intsize => '4',
    ldlibpthname => 'LD_LIBRARY_PATH',
    libpth => '/gnu/store/571zsgw2bby7vrz8201br40snlvl0xbl-gcc-cross-x86_64-w64-mingw32-5.5.0/lib /gnu/store/j74aabxwayjl9yfyrm6ni482gykxq48b-bzip2-1.0.6/lib /gnu/store/9425b5dwpfc04bb4p58hsjypxghliyr3-xz-5.2.4/lib /gnu/store/ypiyk8ngn79cz655jrl0hng37xv54yjr-file-5.33/lib /gnu/store/l67sib1ld0fgyf0f4vrzyxnmn4yvimvb-gawk-4.2.1/lib /gnu/store/02iklp4swqs0ipxhg5x9b2shmj6b30h1-binutils-2.31.1/lib /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib /gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib/lib/gcc/x86_64-unknown-linux-gnu/5.5.0/include-fixed',
    osname => 'linux',
    osvers => '',
    path_sep => ':',
    privlibexp => '/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/perl5/5.28.0',
    scriptdir => '/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/bin',
    sitearchexp => '/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/perl5/site_perl/5.28.0/x86_64-linux-thread-multi',
    sitelibexp => '/gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssqw-perl-5.28.0/lib/perl5/site_perl/5.28.0',
    so => 'so',
    useithreads => 'define',
    usevendorprefix => undef,
    version => '5.28.0',
};

--=-=-=
Content-Type: text/x-perl
Content-Disposition: inline; filename=Config.pm
Content-Description: Encode/Config.pm

#
# Demand-load module list
#
package Encode::Config;
our $VERSION = do { my @r = ( q$Revision: 2.5 $ =~ /\d+/g ); sprintf "%d." . "%02d" x $#r, @r };

use strict;
use warnings;

our %ExtModule = (

    # Encode::Byte
    #iso-8859-1 is in Encode.pm itself
    'iso-8859-2'            => 'Encode::Byte',
    'iso-8859-3'            => 'Encode::Byte',
    'iso-8859-4'            => 'Encode::Byte',
    'iso-8859-5'            => 'Encode::Byte',
    'iso-8859-6'            => 'Encode::Byte',
    'iso-8859-7'            => 'Encode::Byte',
    'iso-8859-8'            => 'Encode::Byte',
    'iso-8859-9'            => 'Encode::Byte',
    'iso-8859-10'           => 'Encode::Byte',
    'iso-8859-11'           => 'Encode::Byte',
    'iso-8859-13'           => 'Encode::Byte',
    'iso-8859-14'           => 'Encode::Byte',
    'iso-8859-15'           => 'Encode::Byte',
    'iso-8859-16'           => 'Encode::Byte',
    'koi8-f'                => 'Encode::Byte',
    'koi8-r'                => 'Encode::Byte',
    'koi8-u'                => 'Encode::Byte',
    'viscii'                => 'Encode::Byte',
    'cp424'                 => 'Encode::Byte',
    'cp437'                 => 'Encode::Byte',
    'cp737'                 => 'Encode::Byte',
    'cp775'                 => 'Encode::Byte',
    'cp850'                 => 'Encode::Byte',
    'cp852'                 => 'Encode::Byte',
    'cp855'                 => 'Encode::Byte',
    'cp856'                 => 'Encode::Byte',
    'cp857'                 => 'Encode::Byte',
    'cp858'                 => 'Encode::Byte',
    'cp860'                 => 'Encode::Byte',
    'cp861'                 => 'Encode::Byte',
    'cp862'                 => 'Encode::Byte',
    'cp863'                 => 'Encode::Byte',
    'cp864'                 => 'Encode::Byte',
    'cp865'                 => 'Encode::Byte',
    'cp866'                 => 'Encode::Byte',
    'cp869'                 => 'Encode::Byte',
    'cp874'                 => 'Encode::Byte',
    'cp1006'                => 'Encode::Byte',
    'cp1250'                => 'Encode::Byte',
    'cp1251'                => 'Encode::Byte',
    'cp1252'                => 'Encode::Byte',
    'cp1253'                => 'Encode::Byte',
    'cp1254'                => 'Encode::Byte',
    'cp1255'                => 'Encode::Byte',
    'cp1256'                => 'Encode::Byte',
    'cp1257'                => 'Encode::Byte',
    'cp1258'                => 'Encode::Byte',
    'AdobeStandardEncoding' => 'Encode::Byte',
    'MacArabic'             => 'Encode::Byte',
    'MacCentralEurRoman'    => 'Encode::Byte',
    'MacCroatian'           => 'Encode::Byte',
    'MacCyrillic'           => 'Encode::Byte',
    'MacFarsi'              => 'Encode::Byte',
    'MacGreek'              => 'Encode::Byte',
    'MacHebrew'             => 'Encode::Byte',
    'MacIcelandic'          => 'Encode::Byte',
    'MacRoman'              => 'Encode::Byte',
    'MacRomanian'           => 'Encode::Byte',
    'MacRumanian'           => 'Encode::Byte',
    'MacSami'               => 'Encode::Byte',
    'MacThai'               => 'Encode::Byte',
    'MacTurkish'            => 'Encode::Byte',
    'MacUkrainian'          => 'Encode::Byte',
    'nextstep'              => 'Encode::Byte',
    'hp-roman8'             => 'Encode::Byte',
    #'gsm0338'               => 'Encode::Byte',
    'gsm0338'               => 'Encode::GSM0338',

    # Encode::EBCDIC
    'cp37'     => 'Encode::EBCDIC',
    'cp500'    => 'Encode::EBCDIC',
    'cp875'    => 'Encode::EBCDIC',
    'cp1026'   => 'Encode::EBCDIC',
    'cp1047'   => 'Encode::EBCDIC',
    'posix-bc' => 'Encode::EBCDIC',

    # Encode::Symbol
    'dingbats'      => 'Encode::Symbol',
    'symbol'        => 'Encode::Symbol',
    'AdobeSymbol'   => 'Encode::Symbol',
    'AdobeZdingbat' => 'Encode::Symbol',
    'MacDingbats'   => 'Encode::Symbol',
    'MacSymbol'     => 'Encode::Symbol',

    # Encode::Unicode
    'UCS-2BE'  => 'Encode::Unicode',
    'UCS-2LE'  => 'Encode::Unicode',
    'UTF-16'   => 'Encode::Unicode',
    'UTF-16BE' => 'Encode::Unicode',
    'UTF-16LE' => 'Encode::Unicode',
    'UTF-32'   => 'Encode::Unicode',
    'UTF-32BE' => 'Encode::Unicode',
    'UTF-32LE' => 'Encode::Unicode',
    'UTF-7'    => 'Encode::Unicode::UTF7',
);

unless ( ord("A") == 193 ) {
    %ExtModule = (
        %ExtModule,
        'euc-cn'         => 'Encode::CN',
        'gb12345-raw'    => 'Encode::CN',
        'gb2312-raw'     => 'Encode::CN',
        'hz'             => 'Encode::CN',
        'iso-ir-165'     => 'Encode::CN',
        'cp936'          => 'Encode::CN',
        'MacChineseSimp' => 'Encode::CN',

        '7bit-jis'      => 'Encode::JP',
        'euc-jp'        => 'Encode::JP',
        'iso-2022-jp'   => 'Encode::JP',
        'iso-2022-jp-1' => 'Encode::JP',
        'jis0201-raw'   => 'Encode::JP',
        'jis0208-raw'   => 'Encode::JP',
        'jis0212-raw'   => 'Encode::JP',
        'cp932'         => 'Encode::JP',
        'MacJapanese'   => 'Encode::JP',
        'shiftjis'      => 'Encode::JP',

        'euc-kr'      => 'Encode::KR',
        'iso-2022-kr' => 'Encode::KR',
        'johab'       => 'Encode::KR',
        'ksc5601-raw' => 'Encode::KR',
        'cp949'       => 'Encode::KR',
        'MacKorean'   => 'Encode::KR',

        'big5-eten'      => 'Encode::TW',
        'big5-hkscs'     => 'Encode::TW',
        'cp950'          => 'Encode::TW',
        'MacChineseTrad' => 'Encode::TW',

        #'big5plus'           => 'Encode::HanExtra',
        #'euc-tw'             => 'Encode::HanExtra',
        #'gb18030'            => 'Encode::HanExtra',

        'MIME-Header' => 'Encode::MIME::Header',
        'MIME-B'      => 'Encode::MIME::Header',
        'MIME-Q'      => 'Encode::MIME::Header',

        'MIME-Header-ISO_2022_JP' => 'Encode::MIME::Header::ISO_2022_JP',
    );
}

#
# Why not export ? to keep ConfigLocal Happy!
#
while ( my ( $enc, $mod ) = each %ExtModule ) {
    $Encode::ExtModule{$enc} = $mod;
}

1;
__END__

=head1 NAME

Encode::Config -- internally used by Encode

=cut

--=-=-=
Content-Type: text/plain



>
> I tried it myself (with mingw target) and I got:
>
> loclibpth='/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib'
I have exactly this one in Config_heavy.pl.

> So try putting (assoc-ref native-inputs "libc") instead of
> (assoc-ref inputs "libc") in the perl package definition (make sure to
> accept native-inputs in the function in the first place) in order to debug
> the problem (or maybe (assoc-ref inputs "mingw-source")).
I am not 100% sure I understood everything, but I tried that and it
changed nothing.

>
> When cross compiling it's important to get right which parts you get
> from the host libs and which from the target libs, maybe that's messed
> up there.
I am trying to build Gtk+ for mingw.  This gives me an error in the perl
dependency.  I have the same error if I build perl for mingw, but it is
a little confusing: perl should be a "maintainer" dependency for Gtk+ (I
guess?  Maybe for automake or some code generators like the
gobject-introspection tools?), so it should be
built to run on the build machine (x86_64-linux) and not on the
host/target (mingw).  Why is there an error if I build perl for mingw,
or if I build perl as a dependency for mingw Gtk+, but not if I build
perl for my native system?  Or maybe native-perl and target-perl are
both dependencies for target-gtk+?


Best regards,

Vivien

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 14 Sep 2019 13:16:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 09:16:21 2019
Received: from localhost ([127.0.0.1]:46019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i97uV-0006wZ-Dg
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 09:16:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1i97uT-0006wN-Va
 for 37403 <at> debbugs.gnu.org; Sat, 14 Sep 2019 09:16:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52129)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1i97uM-0005NV-4i; Sat, 14 Sep 2019 09:16:11 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=46502
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1i97uI-0003GX-PY; Sat, 14 Sep 2019 09:16:07 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
References: <87a7b7l3f3.fsf@HIDDEN>
Date: Sat, 14 Sep 2019 15:16:04 +0200
In-Reply-To: <87a7b7l3f3.fsf@HIDDEN> (Vivien Kraus's message of
 "Sat, 14 Sep 2019 09:53:20 +0200")
Message-ID: <877e6b81d7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37403
Cc: 37403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Vivien Kraus writes:

> Trying to run 'guix build --target=3Dx86_64-w64-mingw32 perl' results in
> the following exception in the latest stages of the build:

Are you using the core-updates-next branch?  It has a many
cross-compilation fixes, notably

    https://git.savannah.gnu.org/cgit/guix.git/commit/?h=3Dcore-updates-nex=
t&id=3D659a2d0f4fff889dff902e32b569e4ca0ae5384a

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 14 Sep 2019 12:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 08:23:46 2019
Received: from localhost ([127.0.0.1]:45978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i975e-0001Xa-NQ
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 08:23:46 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:40302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1i975d-0001XS-5y
 for 37403 <at> debbugs.gnu.org; Sat, 14 Sep 2019 08:23:45 -0400
Received: from localhost (178.112.196.81.wireless.dyn.drei.com
 [178.112.196.81])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 996333360D1E;
 Sat, 14 Sep 2019 14:23:43 +0200 (CEST)
Date: Sat, 14 Sep 2019 14:23:38 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
Message-ID: <20190914142338.41be36cb@HIDDEN>
In-Reply-To: <20190914135953.6adaef8b@HIDDEN>
References: <87a7b7l3f3.fsf@HIDDEN>
 <20190914135953.6adaef8b@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/kQII25YxNtb7.f/HbyrBi1b"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37403
Cc: 37403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/kQII25YxNtb7.f/HbyrBi1b
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Further information:

According to gnu/packages/cross-base.scm, cross-gcc contains either "libc" =
or
"mingw-source" in the mingw case--I don't know why, but that's what it says.

The purpose of "remove-extra-references" seems to be to shrink the
number of recorded dependencies, so maybe compare it with the unshrinked
list of dependencies by printing the latter out (apparently it should be
inside Config_heavy.pl and Config.pm in the temporary build
directory--could you post those?).

I tried it myself (with mingw target) and I got:

loclibpth=3D'/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28/lib'

Hmm.

Also, perl seems to fetch libc from the %build-inputs just fine earlier.

So try putting (assoc-ref native-inputs "libc") instead of
(assoc-ref inputs "libc") in the perl package definition (make sure to
accept native-inputs in the function in the first place) in order to debug
the problem (or maybe (assoc-ref inputs "mingw-source")).

When cross compiling it's important to get right which parts you get
from the host libs and which from the target libs, maybe that's messed
up there.

Also possible would be not to do that shrinking if libc is unavailable,
but not sure whether we want that.

--Sig_/kQII25YxNtb7.f/HbyrBi1b
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl1828oACgkQ5xo1VCww
uqXy/Af+NzKn64Jry3qM5Agm+Bh5JaViJ/MXRxXqN3FCs689N+YCAhZuk2o+UgPb
AqUrCjzwAp5QcVMY874nycjJsiSIwFFcCVpOuyOVJtMiTgTBfr9KHhBcOJ7PvGsS
+/vDvSlOPByxBcOxeOQ0Qqaoue5UMZOIQGWlWFH7eNeZcC4Xu8t4ALBVvZCEZeyo
dERLP9CsahglyIUtaFl5SE0Rk4oIePzioxg7dYzfvRoKEsI7aHjDvXkjcDI9ikms
F4c7cHHhrZnc4VQfAefChJYR5iDE/uIUqpHujHkIMZz7NVrAq7dEw4fjp6GeJpcE
FESeK1y3HulyfpZjnwN7mz+B+L//kw==
=dqiB
-----END PGP SIGNATURE-----

--Sig_/kQII25YxNtb7.f/HbyrBi1b--




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 14 Sep 2019 12:00:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 08:00:04 2019
Received: from localhost ([127.0.0.1]:45938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i96ii-0000uk-G3
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 08:00:04 -0400
Received: from dd26836.kasserver.com ([85.13.145.193]:38316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1i96ie-0000tf-Dd
 for 37403 <at> debbugs.gnu.org; Sat, 14 Sep 2019 08:00:02 -0400
Received: from localhost (178.112.196.81.wireless.dyn.drei.com
 [178.112.196.81])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 62F2D3360D1E;
 Sat, 14 Sep 2019 13:59:58 +0200 (CEST)
Date: Sat, 14 Sep 2019 13:59:53 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
Message-ID: <20190914135953.6adaef8b@HIDDEN>
In-Reply-To: <87a7b7l3f3.fsf@HIDDEN>
References: <87a7b7l3f3.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/6s=CzXi7mTDbrSsXqdIdLXo"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37403
Cc: 37403 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/6s=CzXi7mTDbrSsXqdIdLXo
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Looking at the source code of phase "remove-extra-references" and assuming =
that
the "out" output exists, probably the "libc" input doesn't exist.

set-cross-path/mingw guards against this case, so apparently it is normal t=
hat
"libc" input can be missing and perl should be guarding against it, but doe=
sn't.

Otherwise I don't know mingw, so can't help much further.

--Sig_/6s=CzXi7mTDbrSsXqdIdLXo
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl181jkACgkQ5xo1VCww
uqXOoAf/R73ZO9y3DgclLAhh9ai21ILF4xodO7o7uaW6YsZsZkXGLXN81AboXSjv
Ag2HILoGTP9sxND91emhcX5IOPxnDtwmYf7aoe1PzFw6yrBzY5Ex11ic6tAnP1n3
G1o+etj1SrbNGvIshXIn5CWl6Inpi/2ulk7+XgiI9aJ8IDQ5pmZYkjNs0vyckBds
YQSknM366XRhUtQeXqvqsoaWmtkwMU7PbZjA5n0xii/9879gfF+SRSJj0zMqPAgK
C3OJOBcahc9iWsgEiV+SZjC92PQX110BqBfVdoyhhIcc4NTvfJQSvR4fTSrsE1Ps
Cmrq3udK1kKhVOFQ3YZEbUB38PeHbw==
=vnjX
-----END PGP SIGNATURE-----

--Sig_/6s=CzXi7mTDbrSsXqdIdLXo--




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 14 Sep 2019 11:28:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 07:28:38 2019
Received: from localhost ([127.0.0.1]:45934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i96EH-0006Ze-SR
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 07:28:38 -0400
Received: from planete-kraus.eu ([89.234.140.182]:34834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1i96EG-0006ZV-Fx
 for 37403 <at> debbugs.gnu.org; Sat, 14 Sep 2019 07:28:36 -0400
Received: from ananas.home ([2a01:cb14:18a:700:7c3f:71e2:536e:a01] helo=ananas)
 by planete-kraus.eu with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <vivien@HIDDEN>)
 id 1i96EE-00078H-9o; Sat, 14 Sep 2019 12:28:34 +0100
References: <87a7b7l3f3.fsf@HIDDEN>
 <_R48piXJzyD-bjGwWPFtNQxovaCS0VZl-zNZ2ymCKm_140q_hQnpTI1O4BZN4SqX2Y_JxfSrFE9Ile1No4dPWJUe0ehhtNJmgJNC44uhT2I=@protonmail.com>
User-agent: mu4e 1.2.0; emacs 26.2
From: Vivien Kraus <vivien@HIDDEN>
To: P <pronaip@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
In-reply-to: <_R48piXJzyD-bjGwWPFtNQxovaCS0VZl-zNZ2ymCKm_140q_hQnpTI1O4BZN4SqX2Y_JxfSrFE9Ile1No4dPWJUe0ehhtNJmgJNC44uhT2I=@protonmail.com>
Date: Sat, 14 Sep 2019 13:28:33 +0200
Message-ID: <878sqrktge.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37403
Cc: "37403 <at> debbugs.gnu.org" <37403 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


P writes:
> Seems like cross compiling with mingw is broken for other packages too, I tried the guile example about a week ago and also Lua (which is a super portable language, so it should work everywhere, usually without modifications) and neither worked.

Oops.  I was hoping I could build my Gtk+ application with guix,
and thus get rid of the Fedora container.

This bug is so depressing though: perl builds just fine, installs just
fine, but guix fails at the very end, in the 'remove-extra-references' step.

Vivien




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at 37403 <at> debbugs.gnu.org:


Received: (at 37403) by debbugs.gnu.org; 14 Sep 2019 11:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 07:17:08 2019
Received: from localhost ([127.0.0.1]:45929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9639-0006Jl-EM
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 07:17:07 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:12755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pronaip@HIDDEN>) id 1i9636-0006JB-DV
 for 37403 <at> debbugs.gnu.org; Sat, 14 Sep 2019 07:17:05 -0400
Date: Sat, 14 Sep 2019 11:16:55 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1568459817;
 bh=XJ47iQDieA7hN0m+MdLAHi5YJfIbrH2nkvKDFYE8CQ8=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:
 Feedback-ID:From;
 b=sFFDyFSTl4freX0AaoVfmkS4NDUQMNgsMmiRgbkBTzbUuEBnjZ9+zTH60n0obKPVl
 BU0wHFOMN472AxB5CZZzMTh7JWQOWR+wX9N8sDA4lnnpGxJDGcDot3OGZV59GQTDc2
 2o1e43MU8dZhYo0l5ASJK3uSSw5XrIJj0FldDVMs=
To: Vivien Kraus <vivien@HIDDEN>
From: P <pronaip@HIDDEN>
Subject: Re: bug#37403: Cannot 'guix guix build --target=x86_64-w64-mingw32
 perl'
Message-ID: <_R48piXJzyD-bjGwWPFtNQxovaCS0VZl-zNZ2ymCKm_140q_hQnpTI1O4BZN4SqX2Y_JxfSrFE9Ile1No4dPWJUe0ehhtNJmgJNC44uhT2I=@protonmail.com>
In-Reply-To: <87a7b7l3f3.fsf@HIDDEN>
References: <87a7b7l3f3.fsf@HIDDEN>
Feedback-ID: Zwf-AgKjGj7p61o7kGbWJBUHpipzTNxEbnwmq2vFFWU6VWtG3efTH1K380U1ZptvR7SP_Gj0c6oobGC7S4SuLw==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM autolearn=ham
 autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37403
Cc: "37403 <at> debbugs.gnu.org" <37403 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: P <pronaip@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
On Saturday, September 14, 2019 7:53 AM, Vivien Kraus <vivien@planete-kraus=
.eu> wrote:

> Hello guix,
>
> Trying to run 'guix build --target=3Dx86_64-w64-mingw32 perl' results in
> the following exception in the latest stages of the build:
>
> phase `install' succeeded after 36.7 seconds starting phase`remove-extra-=
references'
> Backtrace:
> 13 (primitive-load "/gnu/store/qnavzfxvw5rng7z8rzlx9zw0ji9=E2=80=A6")
> In ice-9/eval.scm:
> 191:35 12 (_ _)
> In srfi/srfi-1.scm:
> 863:16 11 (every1 #<procedure 61edc0 at /gnu/store/gfprsx2m62cvq=E2=80=
=A6> =E2=80=A6)
> In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/g=
nu-build-system.scm:
> 799:28 10 (_ )
> In ice-9/eval.scm:
> 619:8 9 ( #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6>) =E2=80=A6) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))In ice-9/boot-9.scm:
> 841:4 8 (with-throw-handler _ _ _)
> In ice-9/ports.scm:
> 444:17 7 (call-with-input-file _ _ #:binary _ #:encoding _ # )
> In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/u=
tils.scm:
> 641:26 6 ( )
> 667:26 5 ( #<input: /gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssq=E2=80=
=A6> =E2=80=A6)In srfi/srfi-1.scm:
> 466:18 4 (fold #<procedure 7ffff5d2b0c0 at /gnu/store/gfprsx2m6=E2=80=
=A6> =E2=80=A6)
> In ice-9/eval.scm:
> 202:51 3 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6> =E2=80=A6)) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
>
>     163:9  2 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6> =E2=80=
=A6)) =E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
>
>
> In unknown file:
> 1 (string-append "incpth=3D'" #f "/include'\n")
> In ice-9/boot-9.scm:
> 752:25 0 (dispatch-exception _ _ _)
>
> ice-9/boot-9.scm:752:25: In procedure dispatch-exception:
> In procedure string-append: Wrong type (expecting string): #f
> builder for
> `/gnu/store/2khcqc5rpc0wizhihpq69x6qn3f7nw5l-perl-5.28.0.drv' failed
> with exit code 1
>
> I have the full log. Do you wish to see it?
>
> Did I do something wrong? Is it the same for you? Is there a
> workaround?
>
> Best regards,
>
> Vivien

Seems like cross compiling with mingw is broken for other packages too, I t=
ried the guile example about a week ago and also Lua (which is a super port=
able language, so it should work everywhere, usually without modifications)=
 and neither worked.




Information forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Sep 2019 07:53:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 03:53:34 2019
Received: from localhost ([127.0.0.1]:45811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i92s9-0007WF-Uy
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 03:53:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:57634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1i92s8-0007W8-5I
 for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 03:53:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58996)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <vivien@HIDDEN>) id 1i92s6-0006RJ-Ux
 for bug-guix@HIDDEN; Sat, 14 Sep 2019 03:53:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vivien@HIDDEN>) id 1i92s5-0008Ek-C9
 for bug-guix@HIDDEN; Sat, 14 Sep 2019 03:53:30 -0400
Received: from planete-kraus.eu ([89.234.140.182]:41122)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vivien@HIDDEN>)
 id 1i92s5-0008Dc-6I
 for bug-guix@HIDDEN; Sat, 14 Sep 2019 03:53:29 -0400
Received: from ananas.home ([2a01:cb14:18a:700:7c3f:71e2:536e:a01] helo=ananas)
 by planete-kraus.eu with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <vivien@HIDDEN>)
 id 1i92ry-0005zW-AJ
 for bug-guix@HIDDEN; Sat, 14 Sep 2019 08:53:22 +0100
User-agent: mu4e 1.2.0; emacs 26.2
From: Vivien Kraus <vivien@HIDDEN>
To: bug-guix@HIDDEN
Subject: Cannot 'guix guix build --target=x86_64-w64-mingw32 perl'
Date: Sat, 14 Sep 2019 09:53:20 +0200
Message-ID: <87a7b7l3f3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 89.234.140.182
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hello guix,

Trying to run 'guix build --target=3Dx86_64-w64-mingw32 perl' results in
the following exception in the latest stages of the build:

phase `install' succeeded after 36.7 seconds
starting phase `remove-extra-references'
Backtrace:
          13 (primitive-load "/gnu/store/qnavzfxvw5rng7z8rzlx9zw0ji9=E2=80=
=A6")
In ice-9/eval.scm:
   191:35 12 (_ _)
In srfi/srfi-1.scm:
   863:16 11 (every1 #<procedure 61edc0 at /gnu/store/gfprsx2m62cvq=E2=80=
=A6> =E2=80=A6)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/gnu=
-build-system.scm:
   799:28 10 (_ _)
In ice-9/eval.scm:
    619:8  9 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6>) =E2=80=A6) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
In ice-9/boot-9.scm:
    841:4  8 (with-throw-handler _ _ _)
In ice-9/ports.scm:
   444:17  7 (call-with-input-file _ _ #:binary _ #:encoding _ # _)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/uti=
ls.scm:
   641:26  6 (_ _)
   667:26  5 (_ #<input: /gnu/store/fa7x5xq709dvsx0rnz167f5ba2h6ssq=E2=80=
=A6> =E2=80=A6)
In srfi/srfi-1.scm:
   466:18  4 (fold #<procedure 7ffff5d2b0c0 at /gnu/store/gfprsx2m6=E2=80=
=A6> =E2=80=A6)
In ice-9/eval.scm:
   202:51  3 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6> =E2=80=A6)) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
    163:9  2 (_ #(#(#(#(#(#(#<directory (guile-user)=E2=80=A6> =E2=80=A6)) =
=E2=80=A6) =E2=80=A6) =E2=80=A6) =E2=80=A6))
In unknown file:
           1 (string-append "incpth=3D'" #f "/include'\n")
In ice-9/boot-9.scm:
   752:25  0 (dispatch-exception _ _ _)

ice-9/boot-9.scm:752:25: In procedure dispatch-exception:
In procedure string-append: Wrong type (expecting string): #f
builder for
`/gnu/store/2khcqc5rpc0wizhihpq69x6qn3f7nw5l-perl-5.28.0.drv' failed
with exit code 1


I have the full log.  Do you wish to see it?

Did I do something wrong?  Is it the same for you?  Is there a
workaround?

Best regards,

Vivien




Acknowledgement sent to Vivien Kraus <vivien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37403; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 Sep 2019 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.